<?php
class OrigendestinoModel
{
    private $pdo;
    public function __CONSTRUCT()
    {
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Listar()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL OD_Listar(0)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ori = new Origendestino();
                $ori->__SET('OrigenDestino_Id', $r->OrigenDestino_Id);
                $ori->__SET('nODTipo', $r->nODTipo);
                $ori->__SET('nODTipoDoc', $r->nODTipoDoc);
                $ori->__SET('sODRucDni', $r->sODRucDni);
                $ori->__SET('sODNombre', $r->sODNombre);
                $ori->__SET('sODNombreComercial', $r->sODNombreComercial);
                $ori->__SET('sODDireccion', $r->sODDireccion);
                $ori->__SET('nProcliDepName', $r->nProcliDepName);
                $ori->__SET('nProcliProvName', $r->nProcliProvName);
                $ori->__SET('nProcliDistName', $r->nProcliDistName);
                $ori->__SET('sODTelefono', $r->sODTelefono);
                $ori->__SET('sODCorreo', $r->sODCorreo);
                $ori->__SET('sODContacto', $r->sODContacto);
                $ori->__SET('nODDiasCredito', $r->nODDiasCredito);
                $ori->__SET('nODPais_Id', $r->nODPais_Id);
                $ori->__SET('nODIdioma_Id', $r->nODIdioma_Id);
                $ori->__SET('nODEstado', $r->nODEstado);
                $ori->__SET('dODFechaActualizacion', $r->dODFechaActualizacion);
                $ori->__SET('nODUsuario_Id', $r->nODUsuario_Id);
                $ori->__SET('nODEliminado', $r->nODEliminado);
                $result[] = $ori;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar2()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL OD_Listar2(0)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ori = new Origendestino();
                $ori->__SET('OrigenDestino_Id', $r->OrigenDestino_Id);
                $ori->__SET('nODTipo', $r->nODTipo);
                $ori->__SET('nODTipoDoc', $r->nODTipoDoc);
                $ori->__SET('sODRucDni', $r->sODRucDni);
                $ori->__SET('sODNombre', $r->sODNombre);
                $ori->__SET('sODNombreComercial', $r->sODNombreComercial);
                $ori->__SET('sODDireccion', $r->sODDireccion);
                $ori->__SET('nProcliDepName', $r->nProcliDepName);
                $ori->__SET('nProcliProvName', $r->nProcliProvName);
                $ori->__SET('nProcliDistName', $r->nProcliDistName);
                $ori->__SET('sODTelefono', $r->sODTelefono);
                $ori->__SET('sODCorreo', $r->sODCorreo);
                $ori->__SET('sODContacto', $r->sODContacto);
                $ori->__SET('nODDiasCredito', $r->nODDiasCredito);
                $ori->__SET('nODPais_Id', $r->nODPais_Id);
                $ori->__SET('nODIdioma_Id', $r->nODIdioma_Id);
                $ori->__SET('nODEstado', $r->nODEstado);
                $ori->__SET('dODFechaActualizacion', $r->dODFechaActualizacion);
                $ori->__SET('nODUsuario_Id', $r->nODUsuario_Id);
                $ori->__SET('nODEliminado', $r->nODEliminado);
                $result[] = $ori;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarProveedor()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL OD_Listar(0)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ori = new Origendestino();
                if ($r->nODTipo == 1) {
                    $ori->__SET('OrigenDestino_Id', $r->OrigenDestino_Id);
                    $ori->__SET('nODTipo', $r->nODTipo);
                    $ori->__SET('sODRucDni', $r->sODRucDni);
                    $ori->__SET('sODNombre', $r->sODNombre);
                    $ori->__SET('sODNombreComercial', $r->sODNombreComercial);
                    $ori->__SET('sODDireccion', $r->sODDireccion);
                    $ori->__SET('nProcliDepName', $r->nProcliDepName);
                    $ori->__SET('nProcliProvName', $r->nProcliProvName);
                    $ori->__SET('nProcliDistName', $r->nProcliDistName);
                    $ori->__SET('sODTelefono', $r->sODTelefono);
                    $ori->__SET('sODCorreo', $r->sODCorreo);
                    $ori->__SET('sODContacto', $r->sODContacto);
                    $ori->__SET('nODDiasCredito', $r->nODDiasCredito);
                    $ori->__SET('nODPais_Id', $r->nODPais_Id);
                    $ori->__SET('nODIdioma_Id', $r->nODIdioma_Id);
                    $ori->__SET('nODEstado', $r->nODEstado);
                    $ori->__SET('dODFechaActualizacion', $r->dODFechaActualizacion);
                    $ori->__SET('nODUsuario_Id', $r->nODUsuario_Id);
                    $ori->__SET('nODEliminado', $r->nODEliminado);
                    $result[] = $ori;
                }
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Buscar($OrigenDestino_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL OD_Listar($OrigenDestino_Id)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ori = new Origendestino();
                $ori->__SET('OrigenDestino_Id', $r->OrigenDestino_Id);
                $ori->__SET('nODTipo', $r->nODTipo);
                $ori->__SET('nODTipoDoc', $r->nODTipoDoc);
                $ori->__SET('sODRucDni', $r->sODRucDni);
                $ori->__SET('sODNombre', $r->sODNombre);
                $ori->__SET('sODNombreComercial', $r->sODNombreComercial);
                $ori->__SET('sODDireccion', $r->sODDireccion);
                $ori->__SET('sODTelefono', $r->sODTelefono);
                $ori->__SET('sODCorreo', $r->sODCorreo);
                $ori->__SET('sODContacto', $r->sODContacto);
                $ori->__SET('nODDiasCredito', $r->nODDiasCredito);
                $ori->__SET('nODPais_Id', $r->nODPais_Id);
                $ori->__SET('Pais', $r->Pais);
                $ori->__SET('nODIdioma_Id', $r->nODIdioma_Id);
                $ori->__SET('nProcliDepId', $r->nProcliDepId);
                $ori->__SET('nProcliDepName', $r->nProcliDepName);
                $ori->__SET('nProcliProvId', $r->nProcliProvId);
                $ori->__SET('nProcliProvName', $r->nProcliProvName);
                $ori->__SET('nProcliDistId', $r->nProcliDistId);
                $ori->__SET('nProcliDistName', $r->nProcliDistName);
                $ori->__SET('nODEstado', $r->nODEstado);
                $ori->__SET('dODFechaActualizacion', $r->dODFechaActualizacion);
                $ori->__SET('nODUsuario_Id', $r->nODUsuario_Id);
                $ori->__SET('nODEliminado', $r->nODEliminado);
                $result[] = $ori;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Crear(Origendestino $data, $option = 1)
    {
        if ($option == 2) {
            $this->pdo = DataBase::ObtenerConexion(2);
        }
        try {
            $stm = $this->pdo->prepare("CALL OD_Crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?, @OrigenDestino_Id)");
            $stm->execute(array(
                $data->__get('nODTipo'),
                $data->__get('nODTipoDoc'),
                $data->__get('sODRucDni'),
                $data->__get('sODNombre'),
                $data->__get('sODNombreComercial'),
                $data->__get('sODDireccion'),
                $data->__get('sODTelefono'),
                $data->__get('sODCorreo'),
                $data->__get('sODContacto'),
                $data->__get('nODDiasCredito'),
                $data->__get('nODPais_Id'),
                $data->__get('nODIdioma_Id'),
                $data->__get('nProcliDepId'),
                $data->__get('nProcliDepName'),
                $data->__get('nProcliProvId'),
                $data->__get('nProcliProvName'),
                $data->__get('nProcliDistId'),
                $data->__get('nProcliDistName'),
                $data->__get('nODEstado'),
                $data->__get('nODUsuario_Id'),
                $data->__get('nODEliminado'),
            ));
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                return $r->OrigenDestino_Id;
            }
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Editar(Origendestino $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL OD_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('OrigenDestino_Id'),
                $data->__get('nODTipo'),
                $data->__get('nODTipoDoc'),
                $data->__get('sODRucDni'),
                $data->__get('sODNombre'),
                $data->__get('sODNombreComercial'),
                $data->__get('sODDireccion'),
                $data->__get('sODTelefono'),
                $data->__get('sODCorreo'),
                $data->__get('sODContacto'),
                $data->__get('nODDiasCredito'),
                $data->__get('nODPais_Id'),
                $data->__get('nODIdioma_Id'),
                $data->__get('nProcliDepId'),
                $data->__get('nProcliDepName'),
                $data->__get('nProcliProvId'),
                $data->__get('nProcliProvName'),
                $data->__get('nProcliDistId'),
                $data->__get('nProcliDistName'),
                $data->__get('nODEstado'),
                $data->__get('nODUsuario_Id'),
                $data->__get('nODEliminado'),
            ));
            echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información editado</strong>, los datos fueron editados correctamente.
                  </div>';
            echo '<script type="text/javascript">window.location="?c=Clienteproveedor&a=Index";</script>';
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Eliminar(Origendestino $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL OD_eliminar(?)");
            $stm->execute(array($data->__get('OrigenDestino_Id')));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function getPaisIdByISO($iso)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM paises WHERE iso = ?");
            $stm->execute([$iso]);
            $result = $stm->fetch(PDO::FETCH_OBJ);
            return $result->id;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function getByDocument($document, $option=1)
    {
        if ($option == 2) {
            $this->pdo = DataBase::ObtenerConexion(2);
        }
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM origendestino o WHERE o.sODRucDni = ?");
            $stm->execute([$document]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }


    public function getByEmail($email)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM origendestino o WHERE o.sODCorreo = ?");
            $stm->execute([$email]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function validar($documento, $Provclien_Id)
    {
        try {
            $result = ['status' => true, 'message' => null];
            if ($Provclien_Id > 0) {
                return $result;
            }
            $stm = $this->pdo->prepare("SELECT 1 FROM origendestino o WHERE o.sODRucDni = ?");
            $stm->execute([$documento]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result = [
                    'status' => false,
                    'message' => '<div class="alert alert-warning" role="alert">
                                      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                      <strong>Advertencia</strong>, El cliente ya se encuentra registrado.
                                  </div>',
                ];
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
}
