<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Tiempo Servicio
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li class="active">Registrar Tiempo de Servicio</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <!-- left column -->
        <form role="form" action="javascript:GuardarTiempoServicio();" method="POST" id="FrmTiempoServicio">
            <div class="col-md-6">
                <div class="box box-primary">
                    <div class="box-header">
                        <h3 class="box-title">Datos básicos</h3>
                    </div><!-- /.box-header -->
                    <!-- form start -->
                    <input type="hidden" name="nombrefirma" id="nombrefirma" value="<?= isset($t) ? $t->__GET('sTieFirma') : '0'; ?>"/>
                    <input type="hidden" name="nuevafirma" id="nuevafirma" value="<?php echo isset($t) ? '0' : '1'; ?>" />
                    <input type="hidden" name="Tiemposervicio_Id" id="Tiemposervicio_Id" value="<?php echo isset($t) ? $t->__GET('Tiemposervicio_Id') : '0'; ?>">
                    <input type="hidden" id="Movimiento_Id" name="Movimiento_Id" value="<?= $Movimiento_Id ?>" />
                    <div class="box-body">
                        <div class="row">
                            <div id="resultado"></div>
                            <!-- Date range -->                                    
                            <div class="col-md-12">
                                <label>Cliente</label>
                                <p class="form-control-static"><?= $nombre_cliente[0] ?></p>
                            </div>
                            <div class="clearfix">&nbsp;</div>
                            <div class="col-md-12">
                                <label>Hora de Inicio</label>
                                <div class="input-group date" id="hora_inicio_div">
                                    <?php $hinicio = (isset($t)) ? DateTime::createFromFormat('Y-m-d H:i:s', $t->__GET('dTieHoraInicio')) : null; ?>
                                    <input required="required" type="text" name="hora_inicio" id="hora_inicio" class="form-control" 
                                           value="<?= (is_null($hinicio)) ? '' : $hinicio->format('d-m-Y H:i') ?>"/>
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <label>Hora de Fin</label>
                                <div class="input-group date" id="hora_fin_div">
                                    <?php $hfin = (isset($t)) ? DateTime::createFromFormat('Y-m-d H:i:s', $t->__GET('dTieHoraFin')) : null; ?>
                                    <input required="required" type="text" name="hora_fin" id="hora_fin" class="form-control" 
                                           value="<?= (is_null($hfin)) ? '' : $hfin->format('d-m-Y H:i') ?>" />
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <label>Tiempo (en minutos)</label>
                                <input type="text" readonly="readonly" name="diferencia" id="diferencia" class="form-control" 
                                       value="<?= (isset($t)) ? $t->__GET('dTieDiferencia') : '' ?>"/>
                            </div>
                            <div class="clearfix">&nbsp;</div>
                            <div class="col-md-12">
                                <table class="table table-condensed table-bordered">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Tipo de servicio</th>
                                        </tr>
                                    </thead>
                                    <tbody class="text-center">
                                        <tr>
                                            <td style="width:50%"><input type="radio" required="required" name="tiposervicio" value="S" <?= (isset($t) and $t->__GET('nTieTipoServicio') == '0') ? 'checked' : '' ?> />&nbsp;Simple</td>
                                            <td style="width:50%"><input type="radio" name="tiposervicio" value="M" <?= (isset($t) and $t->__GET('nTieTipoServicio') == '1') ? 'checked' : '' ?>/>&nbsp;Mampar&oacute;n</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-12">
                                <table class="table table-condensed table-bordered">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Materiales</th>
                                        </tr>
                                    </thead>
                                    <tbody class="text-center">
                                        <tr>
                                            <td style="width:50%"><input type="checkbox" name="material" value="P" <?= (isset($t) and $t->__GET('sTieMaterial1') == '1') ? 'checked' : '' ?> />&nbsp;Plastico</td>
                                            <td style="width:50%"><input type="checkbox" name="material" value="CU" <?= (isset($t) and $t->__GET('sTieMaterial2') == '1') ? 'checked' : '' ?> />&nbsp;Cuerda</td>
                                        </tr>
                                        <tr>
                                            <td style="width:50%"><input type="checkbox" name="material" value="M" <?= (isset($t) and $t->__GET('sTieMaterial3') == '1') ? 'checked' : '' ?> />&nbsp;Malla</td>
                                            <td style="width:50%"><input type="checkbox" name="material" value="CA" <?= (isset($t) and $t->__GET('sTieMaterial4') == '1') ? 'checked' : '' ?> />&nbsp;Carpa</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                                 <div class="col-md-12">
                                <table class="table table-condensed table-bordered">
                                    <thead>
                                        <tr>
                                            <th colspan="2">Estado materiales</th>
                                        </tr>
                                    </thead>
                                    <tbody class="text-center">
                                        <tr>
                                            <td style="width:50%"><input type="radio" required="required" name="estadomaterial" value="B" <?= (isset($t) and $t->__GET('nTieEstadoMateriales') == '1') ? 'checked' : '' ?> />&nbsp;Bueno</td>
                                            <td style="width:50%"><input type="radio" name="estadomaterial" value="M" <?= (isset($t) and $t->__GET('nTieEstadoMateriales') == '2') ? 'checked' : '' ?>/>&nbsp;Malo</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                             <div class="col-md-12">
                                <label>Observaci&oacute;n</label>
                               <textarea class="form-control" name="nTieObservacion" id="nTieObservacion" placeholder="Observación" rows="3" ><?php echo isset($t) ? $t->__GET('nTieObservacion') : ''; ?></textarea>

                            <!--     <input type="text" required="required"
                                   name="nombres_conductor" id="nombres_conductor" class="form-control" 
                                   value="<?= $conductor_nombres ?>"/> -->
                            </div>

                            <div class="clearfix">&nbsp;</div>
                            <div class="col-md-12">
                                <table class="table table-condensed table-bordered">
                                    <thead>
                                        <tr>
                                            <th class="text-center"><i class="fa fa-check"></i></th>
                                            <th>Personal</th>
                                        </tr>
                                    </thead>
                                    <tbody id="contenido_tabla_personal">
                                        <?php foreach ($personal as $r) { ?>
                                            <?php
                                            $check = '';
                                            foreach ($listapersonal as $lp) {
                                                if ($r->Personal_Id == $lp) {
                                                    $check = 'checked="checked"';
                                                }
                                            }
                                            ?>
                                            <tr>
                                                <td class="text-center"><input type="checkbox" name="personal" value="<?= $r->Personal_Id ?>" <?= $check ?> /></td>
                                                <td><?= $r->sPerNombres . ' ' . $r->sPerApePaterno . ' ' . $r->sPerApeMaterno ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>

                        </div>

                    </div><!-- /.box-body -->

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">
                            Guardar informacion
                        </button>                                                                        
                        <a class="btn btn-danger btn-flat" href="?c=TiempoServicio&a=Index">Cancelar</a>
                    </div>               

                </div><!-- /.box -->
            </div><!--/.col (left) -->      

            <div class="col-md-6">
                <input type="hidden" name="tiposervicioconductor_id" 
                       id="tiposervicioconductor_id" />
                <div class="box box-primary" id="datos_conductor">
                    <div class="box-header">
                        <h3 class="box-title">Conductor</h3>
                    </div>
                    <div class="box-body">
                        <div style="margin-bottom:5px">
                            <div class="col-md-8"><?php
                                $conductor_dni = '';
                                $conductor_nombres = '';
                                if (isset($conductor)) {
                                    $conductor_dni = $conductor[0]->sTieConDNI;
                                    $conductor_nombres = $conductor[0]->sTieConNombres;
                                }
                                ?>
                                <label>DNI</label>
                                <input type="text" required="required"
                                       name="dni_conductor" id="dni_conductor" class="form-control" 
                                       value="<?= $conductor_dni ?>" onkeyup="busquedainline()"/></div>
                            <div class="col-md-4">
                                <label>&nbsp;</label>
                                <button type="button" onclick="BuscarConductor()" class="btn btn-flat btn-block btn-default">Buscar</button>
                            </div>
                        </div>
                        <div class="col-md-12" style="margin-top:10px; margin-bottom:25px">
                            <label>Nombres y apellidos</label>
                            <input type="text" required="required"
                                   name="nombres_conductor" id="nombres_conductor" class="form-control" 
                                   value="<?= $conductor_nombres ?>"/>
                        </div>
                    </div>
                    <div class="box-footer">&nbsp;</div>
                </div>

                <div id="firmado" class="box box-primary" style="<?= (!isset($t) ? 'display:none' : '') ?>">
                    <div class="box-header">
                        <h3 class="box-title">Firma</h3>
                    </div><!-- /.box-header -->
                    <div id="firma" class="box-body">
                        <?php
                        $archivo_final = 'firmas/' . $_SESSION['usu_enterpriseRuc'] . '/' . $t->sTieFirma;
                        if (!file_exists($archivo_final)) {
                            $archivo_final = 'http://fmsac.com/hormiguita.pe/imgcdn/' . $_SESSION['usu_enterpriseRuc'] . '/' . $t->sTieFirma;
                        }
                        ?>
                        <?= (isset($t) ? '<img aria-firma="' . $t->sTieFirma . '" src="' . $archivo_final . '" id="firmado_imagen" />' : '') ?>
                    </div>
                    <div class="box-footer">
                        <button id="borrar_firmado" type="button" class="btn btn-default btn-flat input-lg">Nueva firma</button>&nbsp;
                    </div>
                </div>

                <div id="firmar" class="box box-primary" style="<?= (isset($t) ? 'display:none' : '') ?>">
                    <div class="box-header">
                        <h3 class="box-title">Firma</h3>
                    </div><!-- /.box-header -->
                    <div id="firma" class="box-body">
                        <canvas id="canvas_firma" style="border: 2px dotted black" width="515px" height="300px"></canvas>
                    </div>
                    <div class="box-footer">
                        <button id="borrar_firma" type="button" class="btn btn-default btn-flat input-lg"><i class="fa fa-trash"></i></button>&nbsp;
                    </div>
                </div>
            </div>   <!-- /.row -->
        </form>
</section><!-- /.content -->

<div class="modal fade" id="modal_buscar_conductor">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Buscar conductor</h4>
            </div>

            <div class="modal-body" style="height:170px">
                <div style="margin-bottom: 5px;">
                    <div class="col-md-8">
                        <input type="text" placeholder="Búsqueda mediante DNI o nombres" 
                               class="form-control input-sm form-control input-sm-sm" 
                               id="sTieConDNI" value="">
                    </div>
                    <div class="col-md-4">
                        <button type="button" class="btn btn-flat btn-default form-control input-sm form-control input-sm-sm" 
                                id="btnBuscarBeneficiario" 
                                onclick="busquedaconductor()">
                            Buscar
                        </button>
                    </div>
                </div>
                <div id="resultados_conductores" class="col-md-12" style="margin-top:20px;"></div>
            </div>
            <div class="modal-footer">
                <!-- <button type="button" class="btn btn-default" data-dismiss="modal">Close</button> -->
                <!-- <button type="button" class="btn btn-primary">Save changes</button> -->
                &nbsp;
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script>var signaturePad = null;</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
<script type="text/javascript" src="view/librerias/plugins/signature_pad/sp.js"></script>t
<script type="text/javascript" src="view/librerias/dist/js/funcionesTiempoServicio.js"></script>
<script>
    $(document).ready(function (d) {
        $('#hora_inicio_div').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY HH:mm'
        }).on('dp.change', function () {
            CalcularTiempo();
        });

        $('#hora_fin_div').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY HH:mm'
        }).on('dp.change', function () {
            CalcularTiempo();
        });

        var canvas = document.querySelector("canvas");
        //var canvas = $('#canvas_firma');
        signaturePad = new SignaturePad(canvas);
        console.log(signaturePad);

        $('#borrar_firma').on('click', function (d) {
            signaturePad.clear();
        });

        $('#borrar_firmado').on('click', function (d) {
            if (confirm('Desea agregar una nueva firma?')) {
                $('#nuevafirma').val(1);
                $('#firmado').fadeOut('fast');
                $('#firmar').fadeIn('fast');
            }
        });
    });
</script>