
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Movimientos
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Movimientos</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">Reporte dinamico</h3>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped text-center">
                                <thead>
                                    <tr>
                                        <?php foreach (array_keys($reportes[0]) as $key) { ?>
                                        <td>
                                        <?php echo $key; ?>
                                        </td>
                                        <?php 
                                    } ?>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($reportes as $item) : ?>                    
                                        <tr>
                                            <?php foreach (array_keys($item) as $key) { ?>
                                            <td><?php echo $item[$key]; ?></td>
                                            <?php } ?>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <?php foreach (array_keys($reportes[0]) as $key) { ?>
                                        <td>
                                        <?php echo $key; ?>
                                        </td>
                                        <?php } ?>
                                    </tr>
                                </tfoot>
                            </table>

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        
        <!-- Modal modeal-ver -->
        <div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                            <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table table-striped" id="ver_datos">

                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /Modal modal-ver -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesStock.js"></script>
        <script type="text/javascript">            
            $('#fechaIni').datetimepicker({
                viewMode: 'days',
                format:'DD-MM-YYYY',
            });
            $('#fechaFin').datetimepicker({
                viewMode: 'days',
                format:'DD-MM-YYYY',
            });

            function MostrarMovimientoReporte(Movimiento_Id) {
                $.post('?c=Movimiento&a=MostrarMovimiento', {
                    Movimiento_Id: Movimiento_Id
                }, function (data) {
                    $("#ver_datos").html(data);
                });
            }
        </script>
