<?php
require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/prodserv.entidad.php';
require_once 'model/prodserv.model.php';
require_once 'model/origendestino.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/familiaarbol.entidad.php';
require_once 'model/familiaarbol.model.php';

class FamiliaArbolController extends MetodosController
{
    public $url;
    //private $electronic_controller;
    private $seguridad;
    public $parametro_model;
    public $prodserv_model;
	public $origendestino_model;
	public $familiaarbol_model;

    public function __CONSTRUCT()
    {
        $this->url = 'http://colibri-fm.ddns.net:8087/servicio/Transaccion/AnularSunat/' . $_SESSION['usu_enterpriseRuc'];
        $this->parametro_model = new ParametroModel();
        //$this->electronic_controller = new ElectronicController();
        $this->seguridad = new Seguridad();
        $this->prodserv_model = new ProdservModel();
		$this->origendestino_model = new OrigendestinoModel();
		$this->familiaarbol_model = new FamiliaArbolModel();

        foreach ($this->parametro_model->ListarParametros() as $pa) {
            if ($pa->__GET('Parametro_Id') == 2) {
                $this->IGV = ($pa->__GET('sParValor') + 100) / 100;
            }
            if ($pa->__GET('Parametro_Id') == 10) {
                $this->ICBPER =  ($pa->__GET('sParValor')) / 100;
            }
            if ($pa->__GET('Parametro_Id') == 14) {
                $this->DECIMALES =  ($pa->__GET('sParValor'));
            }
        }
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $familiaarbol = $this->familiaarbol_model->Listar();
        /* $familiaarbol = $this->familiaarbol_model->ListarDate(
            isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))),
            isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y')))
        ); */
        require_once 'view/header.php';
        require_once 'view/webforms/wfafamiliaarbol.php';
        if(isset($_POST['REFPROMOVER_Id'])){
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            PromoverREFPROMOVER({$_POST['REFPROMOVER_Id']})
                        });
                  </script>";
        }
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }


    public function FrmGuardarFamiliaArbol()
    {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/webforms/wfafamiliaarbola.php';
    }

    public function FrmEditarFamiliaArbol()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $familiaarbol = $this->familiaarbol_model->Buscar($_POST['FamiliaArbol_Id']);
        foreach ($familiaarbol as $r) :
            require_once 'view/webforms/wfafamiliaarbola.php';
        endforeach;
    }

    public function PromoverFamiliaArbol()
    {
        $promover_id = $_POST['Promover_Id'];
        $promover_controller = $_POST['Promover_Controller'];
        $promover_controller_Id = sprintf('n%s%s_Id',strtoupper('fa'),$promover_controller);

        $parametro = $this->parametro_model->ListarParametros();
        $data = eval(sprintf('return $this->%s_model->Buscar();',strtolower($promover_controller)));

        if(!empty($data)){
            $fa = new FamiliaArbol();
            $fa->__set('FamiliaArbol_Id', $data[0]->{$promover_controller_Id});
            /**
            * COMPLETAR LA LISTA DE DATOS
            */
            require_once 'view/webforms/wfafamiliaarbola.php';
        }
    }

    public function MostrarFamiliaArbol()
    {
        $fa = $this->familiaarbol_model->Buscar($_POST['FamiliaArbol_Id']);
        echo '<table class="table table-hover table-bordered">';
        foreach ($fa as $r){
        if ($r->__get('nFAEstado') == '0') {
            $estado = '<span class="label label-danger">DESHABILITADO</span>';
        }else if ($r->__get('nFAEstado') == '1') {
            $estado = '<span class="label label-success">HABILITADO</span>';
        }
        echo '<tr>';
		echo '<td>Fecha: </td>';
		echo '<td>' . $r->__get('dFAFecha') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Nombre: </td>';
		echo '<td>' . $r->__get('sFANombre') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Estado: </td>';
		echo '<td>' . $estado . '</td>';
		echo '</tr>';
        }
        echo '</table>';
    }

    public function GuardarFamiliaArbol()
    {
        $is_edit = $_POST['FamiliaArbol_Id']!=0?true:false;

        $fa = new FamiliaArbol();
        if ($is_edit ? $fa->__SET('FamiliaArbol_Id', $_POST['FamiliaArbol_Id']) : '');
        $fa->__set('dFAFecha', date('d-m-Y'));
		$fa->__set('sFANombre', $_POST['sFANombre']);
		$fa->__set('nFAEstado', $_POST['nFAEstado']);
		$fa->__set('nFAEliminado', 0);
		$fa->__set('Usuario_Id', $_SESSION['usu_codigo']);

        if ($is_edit) {
            $this->familiaarbol_model->Editar($fa);
        } else {
            $this->familiaarbol_model->Crear($fa);
        }
        echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                  </div>';
    }

    public function EliminarFamiliaArbol()
    {
        $this->familiaarbol_model->Eliminar($_POST['FamiliaArbol_Id']);
        echo "<script type='text/javascript'>location.href='?c=FamiliaArbol&a=Index';</script>";
    }

    public function ImprimibleFamiliaArbol()
    {
        $familiaarbol = $this->familiaarbol_model->Buscar($_REQUEST['FamiliaArbol_Id']);
        $r = $familiaarbol[0];
        require_once 'view/webforms/PDF/FamiliaArbol.php';
    }
}
