<?php
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/tipomovimiento.model.php';
require_once 'model/tipomovimiento.entidad.php';
require_once 'model/documento.model.php';
require_once 'model/documento.entidad.php';
require_once 'model/almacen.model.php';
require_once 'model/almacen.entidad.php';
require_once 'model/prodserv.model.php';
require_once 'model/prodserv.entidad.php';
require_once 'model/vendedor.model.php';
require_once 'model/vendedor.entidad.php';
class GenerarcomprobanteController
{
    private $parametro_model;
    private $prodserv_model;
    private $tipomovimiento_model;
    private $documento_model;
    private $almacen_model;
    public $vendedor_model;
    public function __construct()
    {
        $this->parametro_model = new ParametroModel();
        $this->tipomovimiento_model = new TipomovimientoModel();
        $this->almacen_model = new AlmacenModel();
        $this->documento_model = new DocumentoModel();
        $this->prodserv_model = new ProdservModel();
        $this->vendedor_model = new VendedorModel();
    }
    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $tipomovimientos = $this->tipomovimiento_model->Listar();
        $almacen = $this->almacen_model->Listar();
        $documentos = $this->documento_model->Listar();
        $productos = $this->prodserv_model->Listar();
        $vendedores = $this->vendedor_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfagenerarcomprobante.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    public function Response()
    {
        $movimientos = json_decode($_REQUEST['movimientos'], true);
        require_once 'view/webforms/wfagenerarcomprobanteresponse.php';
    }
}
