<?php
require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/prodserv.entidad.php';
require_once 'model/prodserv.model.php';
require_once 'model/origendestino.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/grupohectarea.entidad.php';
require_once 'model/grupohectarea.model.php';

class GrupoHectareaController extends MetodosController
{
    public $url;
    //private $electronic_controller;
    private $seguridad;
    public $parametro_model;
    public $prodserv_model;
	public $origendestino_model;
	public $grupohectarea_model;

    public function __CONSTRUCT()
    {
        $this->url = 'http://colibri-fm.ddns.net:8087/servicio/Transaccion/AnularSunat/' . $_SESSION['usu_enterpriseRuc'];
        $this->parametro_model = new ParametroModel();
        //$this->electronic_controller = new ElectronicController();
        $this->seguridad = new Seguridad();
        $this->prodserv_model = new ProdservModel();
		$this->origendestino_model = new OrigendestinoModel();
		$this->grupohectarea_model = new GrupoHectareaModel();

        foreach ($this->parametro_model->ListarParametros() as $pa) {
            if ($pa->__GET('Parametro_Id') == 2) {
                $this->IGV = ($pa->__GET('sParValor') + 100) / 100;
            }
            if ($pa->__GET('Parametro_Id') == 10) {
                $this->ICBPER =  ($pa->__GET('sParValor')) / 100;
            }
            if ($pa->__GET('Parametro_Id') == 14) {
                $this->DECIMALES =  ($pa->__GET('sParValor'));
            }
        }
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $grupohectarea = $this->grupohectarea_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfagrupohectarea.php';
        if(isset($_POST['REFPROMOVER_Id'])){
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            PromoverREFPROMOVER({$_POST['REFPROMOVER_Id']})
                        });
                  </script>";
        }
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }


    public function FrmGuardarGrupoHectarea()
    {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/webforms/wfagrupohectareaa.php';
    }

    public function FrmEditarGrupoHectarea()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $grupohectarea = $this->grupohectarea_model->Buscar($_POST['GrupoHectarea_Id']);
        foreach ($grupohectarea as $r) :
            require_once 'view/webforms/wfagrupohectareaa.php';
        endforeach;
    }

    public function PromoverGrupoHectarea()
    {
        $promover_id = $_POST['Promover_Id'];
        $promover_controller = $_POST['Promover_Controller'];
        $promover_controller_Id = sprintf('n%s%s_Id',strtoupper('gh'),$promover_controller);

        $parametro = $this->parametro_model->ListarParametros();
        $data = eval(sprintf('return $this->%s_model->Buscar();',strtolower($promover_controller)));

        if(!empty($data)){
            $gh = new GrupoHectarea();
            $gh->__set('GrupoHectarea_Id', $data[0]->{$promover_controller_Id});
            /**
            * COMPLETAR LA LISTA DE DATOS
            */
            require_once 'view/webforms/wfagrupohectareaa.php';
        }
    }

    public function MostrarGrupoHectarea()
    {
        $gh = $this->grupohectarea_model->Buscar($_POST['GrupoHectarea_Id']);
        echo '<table class="table table-hover table-bordered">';
        foreach ($gh as $r){
                echo '<tr>';
		echo '<td>Zona: </td>';
		echo '<td>' . $r->__get('Zona') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Código de grupo: </td>';
		echo '<td>' . $r->__get('sGHCodigo') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Tamaño: </td>';
		echo '<td>' . $r->__get('nGHTamano') . '</td>';
		echo '</tr>';
        }
        echo '</table>';
    }

    public function GuardarGrupoHectarea()
    {
        $is_edit = $_POST['GrupoHectarea_Id']!=0?true:false;

        $gh = new GrupoHectarea();
        if ($is_edit ? $gh->__SET('GrupoHectarea_Id', $_POST['GrupoHectarea_Id']) : '');
        $gh->__set('nGHZona_Id', $_POST['nGHZona_Id']);
		$gh->__set('sGHCodigo', $_POST['sGHCodigo']);
		$gh->__set('nGHTamano', $_POST['nGHTamano']);
		$gh->__set('nGHEstado', $_POST['nGHEstado']);
		$gh->__set('nGHEliminado', 0);
		$gh->__set('Usuario_Id', $_SESSION['usu_codigo']);

        if ($is_edit) {
            $this->grupohectarea_model->Editar($gh);
        } else {
            $this->grupohectarea_model->Crear($gh);
        }
        echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                  </div>';
    }

    public function EliminarGrupoHectarea()
    {
        $this->grupohectarea_model->Eliminar($_POST['GrupoHectarea_Id']);
    }

    public function ImprimibleGrupoHectarea()
    {
        $grupohectarea = $this->grupohectarea_model->Buscar($_REQUEST['GrupoHectarea_Id']);
        $r = $grupohectarea[0];
        require_once 'view/webforms/PDF/GrupoHectarea.php';
    }
}
