<?php 
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/vendedor.model.php';
require_once 'model/vendedor.entidad.php';
class VendedorController
{
    private $parametro_model;
    private $vendedor_model;
    private $seguridad;
    public function __CONSTRUCT()
    {
        $this->parametro_model = new ParametroModel();
        $this->vendedor_model = new VendedorModel();
        $this->seguridad = new Seguridad();
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $vendedor = $this->vendedor_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfavendedor.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    public function FrmGuardarVendedor()
    {

        require_once 'view/webforms/wfavendedora.php';
    }
    public function GuardarVendedor()
    {
        $vendedor = new Vendedor();
        if ($_POST['vendedor_id'] != 0 ? $vendedor->__SET('vendedor_id', $_POST['vendedor_id']) : '');
        $vendedor->__SET('sVenNom', $_POST['sVenNom']);
        $vendedor->__SET('nVenPorCom', $_POST['nVenPorCom']);
        $vendedor->__SET('nVenPorCom2', $_POST['nVenPorCom2']);
        $vendedor->__SET('nVenPorCom3', $_POST['nVenPorCom3']);
        $vendedor->__SET('nVenEstado', $_POST['nVenEstado']);
        $vendedor->__SET('nVenEliminado', 0);
        $vendedor->__SET('nVenUsuario_Id', $_SESSION['usu_codigo']);
        if ($_POST['vendedor_id'] == 0 ? $this->vendedor_model->Crear($vendedor) : $this->vendedor_model->Editar($vendedor));
    }
    public function FrmEditarVendedor()
    {
        $datos = $this->vendedor_model->Buscar($_POST['vendedor_id']);
        foreach ($datos as $r) :
            require_once 'view/webforms/wfavendedora.php';
        endforeach;
    }
    public function MostrarVendedor()
    {
        $vendedor = $this->vendedor_model->Buscar($_POST['vendedor_id']);
          foreach ($vendedor as $r) :
            echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='vendedor_id' id='vendedor_id' value='" . $r->__GET('vendedor_id') . "'> 
                                Nombre
                             </td>
                             <td>" . $r->__GET('sVenNom') . "</td>
                          </tr>
                          <tr>
                             <td>Porcentaje comisión (contado)</td>
                             <td>" . $r->__GET('nVenPorCom') . "</td>
                          </tr>
                          <tr>
                             <td>Porcentaje comisión (crédito)</td>
                             <td>" . $r->__GET('nVenPorCom') . "</td>
                          </tr>
                          <tr>
                             <td>Porcentaje comisión (crédito tarjeta)</td>
                             <td>" . $r->__GET('nVenPorCom') . "</td>
                          </tr> 
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nVenEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }
    public function EliminarVendedor()
    {
        $ven = new Vendedor();
        $ven->__SET('vendedor_id', $_POST['vendedor_id']);
        $this->vendedor_model->Eliminar($ven);
        echo '<script type="text/javascript">window.location="?c=Vendedor&a=Index";</script>';
    }


}
 