<?php

class CustomerRequestModel
{
    private $pdo;
    public function __CONSTRUCT()
    {
        try {
            require_once 'db.php';
            $this->pdo = DB::cn();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function insert($data)
    {
        try {
            $stm = $this->pdo->prepare("INSERT INTO customer_request(emterprise, entry, contact, phone, email, city, version, taxpayer, quantityBranches, quantityVouchers) VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
            $stm->execute([
                $data['emterprise'],
                $data['entry'],
                $data['contact'],
                $data['phone'],
                $data['email'],
                $data['city'],
                $data['version'],
                $data['taxpayer'],
                $data['quantityBranches'],
                $data['quantityVouchers']
            ]);
            echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Éxito, información guardada</strong>, su solicitud ha sido enviada para ser atendida, en breve un representante comercial se contactará con usted.
                  </div>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
}
