
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Nota de crédito
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Nota de crédito</a></li>
    </ol>
</section>        
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
       <div class="box-header">
                    <h3 class="box-title">Relación completa de notas de crédito</h3>

                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">    
                            <form action="?c=Notacredito&a=index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br/>
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br/>
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>
                                    
                                </div>
                            </form>
                        </div>
                        <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                            <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                                <a class="btn btn-primary btn-flat" onclick="FrmEditarNotaCredito();">Nueva nota de crédito</a>
                            </div>
                        <?php } ?>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>Nro Nota de Crédito</th>
                                <th>Fecha (nota de Credito)</th>
                                <th>Documento (Factura)</th>
                                <th>Fecha de Documento (Fecha Factura)</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Total</th>
                                <!-- <th>Estado</th> -->
                                <th>Estado Sunat</th>
                                <th>#</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                            <?php
                            foreach ($movimientos as $r) {
                                ?>
                            <tr>
                                <td><?php echo $r->DocumentoNotacredito; ?></td>
                                <td><?php echo $r->dNotcreFecha; ?></td>
                                <td><?php echo $r->Documento; ?></td>
                                <td><?php echo $r->dMovFecha; ?></td>
                                <td><?php echo $r->sODNombreComercial; ?></td>
                                <td><?php echo $r->Moneda_Id == 1 ? 'Soles' : 'Dolares'; ?></td>
                                <td><?php echo $r->nMovTotal; ?></td>
                                <!-- <td>
                                    <?php
                                    // if ($r->nMovEstado == '0') {
                                    //     echo '<span class="label label-danger">Anulado</span>';
                                    // } else if ($r->nMovEstado == '1') {
                                    //     echo '<span class="label label-warning">Registrado</span>';
                                    // } else if ($r->nMovEstado == '2') {
                                    //     echo '<span class="label label-success">Pagado</span>';
                                    // }
                                    ?>
                                </td> -->
                                <td>
                                    <?php
                                    if ($r->nNotEstadoSunat == '0') {
                                        echo '<span class="label label-warning">No enviado</span>';
                                    } else if ($r->nNotEstadoSunat == '1') {
                                        echo '<span class="label label-success">Enviado</span>';
                                    } else if ($r->nNotEstadoSunat == '2') {
                                        echo '<span class="label label-info">Validado</span>';
                                    } else if ($r->nNotEstadoSunat == '3') {
                                        echo '<span class="label label-info">Validado</span>';
                                    } else if ($r->nNotEstadoSunat == '4') {
                                        echo '<span class="label label-danger">Rechazado</span>';
                                    } else if ($r->nNotEstadoSunat == '5') {
                                        echo '<span class="label label-danger">Baja</span>';
                                    }
                                    ?>
                                </td>
                                <td>
                                    <a href="<?php echo '?c=Notacredito&a=comprobante&notacredito_Id=' . $r->Notacredito_Id; ?>" class="btn btn-warning btn-flat btn-xs" target="_blank"><i class="fa fa-print" aria-hidden="true"></i></a>
                                </td>
                            </tr>
                            <?php

                        }
                        ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Tipo movimiento</th>
                                <th>Fecha</th>
                                <th>Documento</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Total</th>
                                <!-- <th>Estado</th> -->
                                <th>Estado Sunat</th>
                                <th>#</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Notacredito&a=anular" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Nota de credito</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="IdMovimiento" id="IdMovimiento" value="">
                                        ¿Estás seguro que desea realizar una nota de credito?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                                        <button type="submit" class="btn btn-danger btn-flat">Si, Acepto</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesMovimiento.js"></script>
<script type="text/javascript">
$('#fechaIni').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY'
});

$('#fechaFin').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY'
});
$(function () {
    jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    };

    jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? 1 : ((x > y) ? -1 : 0));
    };
    $("#example1").dataTable({
        "scrollX": true,
        "bSort": true,
        "language": {
            "search": "Buscar",
            "lengthMenu": "Visualizar _MENU_ registro por página",
            "zeroRecords": "No hay información para mostrar",
            "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
            "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
            "infoFiltered": "(filtered from _MAX_ total records)",
            "paginate": {
                "previous": "Anterior",
                "next": "Siguiente"
            }
        }
    });
});

$('#modal-eliminar').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget); // Button that triggered the modal
    var recipient = button.data('codigo'); // Extract info from data-* attributes

    // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
    // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
    var modal = $(this);
    modal.find('.modal-body input').val(recipient);
});
</script>
