
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Tiempos de Servicio
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Tiempos de Servicio</a></li>
    </ol>
</section>        
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Movimiento</h3>

                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">    
                            <form action="?c=TiempoServicio&a=Index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br/>
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br/>
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Tipo movimiento
                                        <select class="form-control" id="TipoMovimiento_Id" name="TipoMovimiento_Id">
                                            <?php foreach ($tipomovimientos as $item) : ?>
                                                <option value="<?php echo $item->TipoMovimiento_Id; ?>" <?php echo $item->TipoMovimiento_Id == $TipoMovimiento_Id ? 'selected' : ''; ?>><?php echo $item->__GET('sTMovNombre'); ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                                </div>
                            </form>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-responsive table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th style="display:none">Tipo movimiento</th>
                                <th style="width: 10%">Fecha</th>
                                <th style="width: 12%">Documento</th>
                                <th style="width: 12%">Cliente/Proveedor</th>
                                <th style="width: 12%">Placa</th>
                                <!-- <th>Moneda</th> -->
                                <th style="width: 10%">Total</th>
                                <th style="width: 10%">Estado</th>
                                <th style="width: 10%">Tiempo Servicio</th>
                                <th style="width: 12%">Observaciones</th>
                                <th style="width: 12%">Operaciones</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                            <?php
                            foreach ($tiempos as $r) {
                                ?>
                                <tr>
                                    <td style="display:none"><?php echo $r->__GET('sTMovNombre'); ?></td>
                                    <td><?php echo $r->__GET('dMovFecha'); ?></td>
                                    <td><?php echo $r->__GET('Documento'); ?></td>
                                    <td><?php echo $r->__GET('sODNombreComercial'); ?></td>
                                    <td><?php echo $r->__GET('sMovObservacion');  ?></td>
                                    <!-- <td><?php echo $r->__GET('Moneda_Id') == 1 ? 'Soles' : 'Dolares'; ?></td> -->
                                    <td><?php echo $r->__GET('nMovTotal'); ?></td>
                                    <td>
                                        <?php if ($r->__GET('Tiemposervicio_Id') == '0') { ?>
                                            <span class="label label-warning">Pendiente</span>
                                        <?php } else { ?>
                                            <span class="label label-success">Terminado</span>
                                        <?php } ?>
                                    </td>
                                    <td>
                                        <?php echo $r->__GET('dTieDiferencia'); ?>
                                    </td>

                                    <td><?php echo $r->__GET('nTieObservacion'); ?></td>

                                    <td>
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="MostrarMovimiento('<?php echo $r->__GET('Movimiento_Id'); ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>

                                        <a class="btn btn-primary btn-xs label-success" title="Editar" onclick="FrmEditarTiempoServicio('<?php echo $r->__GET('Movimiento_Id'); ?>');"><i class="fa fa-pencil"></i></a>                                        

                                    </td>
                                </tr>
                                <?php
                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="display:none">Tipo movimiento</th>
                                <th>Fecha</th>
                                <th>Documento</th>
                                <th>Cliente/Proveedor</th>
                                <th>Placa</th>
                                <!-- <th>Moneda</th> -->
                                <th>Total</th>
                                <th>Estado</th>
                                <th>Tiempo Servicio</th>
                                <th>Observaciones</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Movimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="PDFMmovimiento_Id" id="PDFMmovimiento_Id" value="">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->



                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesTiempoServicio.js"></script>
<script type="text/javascript">
                                        $('#fechaInicio').datetimepicker({
                                            viewMode: 'days',
                                            format: 'DD-MM-YYYY'
                                        });

                                        $('#fechaFin').datetimepicker({
                                            viewMode: 'days',
                                            format: 'DD-MM-YYYY'
                                        });
                                        $(function () {
                                            jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
                                                var ukDatea = a.split('-');
                                                var ukDateb = b.split('-');

                                                var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                                                var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                                                return ((x < y) ? -1 : ((x > y) ? 1 : 0));
                                            };

                                            jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
                                                var ukDatea = a.split('-');
                                                var ukDateb = b.split('-');

                                                var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                                                var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                                                return ((x < y) ? 1 : ((x > y) ? -1 : 0));
                                            };
                                            $("#example1").dataTable({
                                                "scrollX": true,
                                                "bSort": true,
                                                "language": {
                                                    "search": "Buscar",
                                                    "lengthMenu": "Visualizar _MENU_ registro por página",
                                                    "zeroRecords": "No hay información para mostrar",
                                                    "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                                                    "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                                                    "infoFiltered": "(filtered from _MAX_ total records)",
                                                    "paginate": {
                                                        "previous": "Anterior",
                                                        "next": "Siguiente"
                                                    }
                                                }
                                            });
                                        });

                                        $('#modal-eliminar').on('show.bs.modal', function (event) {
                                            var button = $(event.relatedTarget); // Button that triggered the modal
                                            var recipient = button.data('codigo'); // Extract info from data-* attributes
                                            var sunat = button.data('sunat'); // Extract info from data-* attributes

                                            // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
                                            // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
                                            $("#IdMovimiento").val(recipient);
                                            $("#estadoSunat").val(sunat);
                                        });
</script>
