
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Cr&eacute;ditos
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Cr&eacute;ditos</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">Relación de Cr&eacute;ditos vencidos y por vencer</h3>
                            <div class="row">
                                <div class="col-md-8" style="margin-top: 15px;">    
                                    <form action="?c=Reportes&a=Creditos" method="POST">
                                        <div class="row">
                                            <div class="col-md-3">
                                                Fecha Inicio <br/>
                                                <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                            </div>
                                            <div class="col-md-3">
                                                Fecha Fin <br/>
                                                <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                            </div>
                                            <div class="col-md-3">
                                                Tipo de movimiento<br>
                                                <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                                <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                                <?php } ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3">
                                                <br>
                                                <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                                <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                            </div>                                          
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-hover display responsive no-wrap">
                                <thead>
                                    <tr>
                                        <th>Documento</th>
                                        <th>Fecha</th>
                                        <th>Vencimiento</th>
                                        <th>D&iacute;as Vencidos</th>
                                        <th>RUC</th>
                                        <th>Cliente/Proveedor</th>
                                        <th>Moneda</th>
                                        <th>Total</th>
                                        <th>Pagado</th>
                                        <th>Pago Pendiente</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($reportes as $r) : ?>                    
                                        <tr> 
                                            <td><?php echo $r->Documento; ?></td>
                                            <td><?php echo $r->Fecha; ?></td>
                                            <td><?php echo $r->Vencimiento; ?></td>
                                            <!--<td data-order="<?=$r->DiasRestantes?>">-->
                                            <td>
                                            	<?php
                                            	$dr = intval($r->DiasRestantes);
                                            	$drText = sprintf('%s D&Iacute;AS', $dr*-1);
                                            	switch ($dr){
                                            	    case 14:
                                            	    case 13:
                                            	    case 12:
                                            	    case 11:
                                            	    case 10:
                                            	    case 9:
                                            	    case 8:
                                            	        $drLbl = 'success';
                                            	        break;
                                            	    case 7:
                                            	    case 6:
                                            	    case 5:
                                            	    case 4:
                                            	    case 3:
                                            	    case 2:
                                            	    case 1:
                                            	        $drLbl = 'warning';
                                            	        break;
                                            	    case 0:
                                            	        $drLbl = 'danger';
                                            	        $drText = 'HOY';
                                            	        break;
                                            	    case preg_match('/^\-/',$dr)==true:
                                            	        $drLbl = 'danger';
                                            	        break;
                                            	    default:
                                            	        $drLbl = 'info';
                                            	}
                                            	echo "<span class='label label-$drLbl'>$drText</span>";
                                            	?>
                                            </td>
                                            <td><?php echo $r->RUC; ?></td>
                                            <td><?php echo $r->CliProv; ?></td>
                                            <td><?php echo $r->Moneda; ?></td>
                                            <td><?php echo $r->Total; ?></td>
                                            <td><?php echo $r->Pagado; ?></td>
                                            <td><?php echo $r->Pendiente; ?></td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Documento</th>
                                        <th>Fecha</th>
                                        <th>Vencimiento</th>
                                        <th>D&iacute;as Vencidos</th>
                                        <th>RUC</th>
                                        <th>Cliente/Proveedor</th>
                                        <th>Moneda</th>
                                        <th>Total</th>
                                        <th>Pagado</th>
                                        <th>Pago Pendiente</th>
                                    </tr>
                                </tfoot>
                            </table>

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        
        <!-- Modal modeal-ver -->
        <div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                            <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table table-striped" id="ver_datos">

                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /Modal modal-ver -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesReporteExcel.js"></script>
        <script type="text/javascript">

            function MostrarMovimientoReporte(Movimiento_Id) {
                $.post('?c=Movimiento&a=MostrarMovimiento', {
                    Movimiento_Id: Movimiento_Id
                }, function (data) {
                    $("#ver_datos").html(data);
                });
            }
            
            $(document).ready(function () {
                 $('#example1').dataTable({
                     "ordering": false
                
                });
            	reportes_excel.Nombre('Creditos');
            	reportes_excel.datepicker('fechainicio');
            	reportes_excel.datepicker('fechafin');
                reportes_excel.TableData("example1");
                reportes_excel.Excel();
            });
        </script>
