<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Movimientos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">MovimientosSunat</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de Ventas (Sunat)</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=MovimientosSunat" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Tipo de movimiento<br>
                                        <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                            <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Documento</th>
                                <th>RUC</th>
                                <th>Cliente</th>
                                <th>Tipo Pago</th>
                                <th>Moneda</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Total Gravado</th>
                                <th>Total Exonerado</th>
                                <th>Observación</th>
                                <th>Vendedor</th>
                                <th>Estado</th>
                                <th>Estado SUNAT</th>
                                <th>Usuario</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->Fecha; ?></td>
                                    <td><?php echo $r->Documento; ?></td>
                                    <td><?php echo $r->RUC; ?></td>
                                    <td><?php echo $r->CliProv; ?></td>
                                    <td><?php echo $r->TipoPago; ?></td>
                                    <td><?php echo $r->Moneda; ?></td>
                                    <td><?php echo $r->Importe; ?></td>
                                    <td><?php echo $r->IGV; ?></td>
                                    <td><?php echo $r->Total; ?></td>
                                    <td><?php echo $r->total_gravado; ?></td>
                                    <td><?php echo $r->total_exonerado; ?></td>
                                    <td><?php echo $r->Observacion; ?></td>
                                    <td><?php echo $r->Vendedor; ?></td>
                                    <td>
                                        <?php
                                        switch ($r->Estado) {
                                            case '0':
                                                $estText = 'Anulado';
                                                $estLbl = 'danger';
                                                break;
                                            case '1':
                                                $estText = 'Registrado';
                                                $estLbl = 'warning';
                                                break;
                                            case '2':
                                                $estText = 'Pagado';
                                                $estLbl = 'success';
                                                break;
                                        }
                                        echo "<span class='label label-$estLbl'>$estText</span>";
                                        ?>
                                    </td>
                                    <td>
                                        <?php
                                        switch ($r->EstadoSunat) {
                                            case '0':
                                                $sunatText = 'No enviado';
                                                $sunatLbl = 'warning';
                                                break;
                                            case '1':
                                                $sunatText = 'Enviado';
                                                $sunatLbl = 'success';
                                                break;
                                            case '2':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'info';
                                                break;
                                            case '3':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'info';
                                                break;
                                            case '4':
                                                $sunatText = 'Rechazado';
                                                $sunatLbl = 'danger';
                                                break;
                                            case '5':
                                                $sunatText = 'Baja';
                                                $sunatLbl = 'danger';
                                                break;
                                        }
                                        echo "<span class='label label-$sunatLbl'>$sunatText</span>";
                                        ?>
                                    </td>
                                    <td><?php echo $r->Usuario; ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility: hidden">Fecha</th>
                                <th style="visibility: hidden">Documento</th>
                                <th style="visibility: hidden">RUC</th>
                                <th style="visibility: hidden">Cliente</th>
                                <th style="visibility: hidden">Tipo Pago</th>
                                <th style="visibility: hidden">Moneda</th>
                                <th style="visibility: hidden">Importe</th>
                                <th>Total p&aacute;gina:</th>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th style="visibility: hidden">Observación</th>
                                <th style="visibility: hidden">Vendedor</th>
                                <th style="visibility: hidden">Estado</th>
                                <th style="visibility: hidden">Estado SUNAT</th>
                                <th style="visibility: hidden">Usuario</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped" id="ver_datos">

                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesReporteExcel.js"></script>

<script type="text/javascript">
    var reportes_excel = (function(reportes_excel, undefined) {
        var URLactual = window.location.host;
        var table;
        var rep_nombre;
        var tits = [];
        reportes_excel.Nombre = function(n) {
            rep_nombre = n;
        };
        _GetTitles = function() {
            var tablecolumns = table.api().columns().header(); //[1].innerHTML
            var titulos = [];
            for (var i = 0; i < tablecolumns.length; i++) {
                titulos.push(tablecolumns[i].innerHTML)
            }
            tits = titulos;
            return titulos;
        };
        _GetData = function() {
            var titulos = _GetTitles();
            var titx = [];
            for (i = 0; i < titulos.length; i++) {
                titx[i] = titulos[i].replace(/[^a-zA-Z\d]/g, '');
            }
            var datos = [];
            var tablecolumns = table.api().columns().header(); //[1].innerHTML
            //for (var r = 0; r < table.fnGetData().length; r++) {
            var filtered = table._('tr', {
                "filter": "applied"
            });
            for (var r = 0; r < filtered.length; r++) {
                var data = {};
                for (var c = 0; c < tablecolumns.length; c++) {
                    //var value = table.fnGetData(r, c);
                    var value = filtered[r][c];
                    data[titx[c]] = value.replace(/(<([^>]+)>)/ig, "").replace(/\s\s+/, '').trim();
                }
                datos.push(data);
            }
            return datos;
        }
        _DownloadExcelXLS = function(titulos, data, fini, ffin) {
                var url = window.self.location.pathname + '?c=Reportes&a=DescargarExcel';

                var f = $('<form/>')
                    .attr('id', 'fxpdf')
                    .attr('method', 'post')
                    .attr('action', url)
                    .attr('target', '_blank');

                var inp = $('<input/>')
                    .attr('type', 'hidden');

                f.append(inp.clone().attr({
                    name: 'nombre',
                    value: rep_nombre
                }));
                f.append(inp.clone().attr({
                    name: 'titulos',
                    value: titulos
                }));
                f.append(inp.clone().attr({
                    name: 'data',
                    value: data
                }));
                f.append(inp.clone().attr({
                    name: 'fechaInicio',
                    value: fini
                }));
                f.append(inp.clone().attr({
                    name: 'fechaFin',
                    value: ffin
                }));
                //console.log(f.html());
                $('body').append(f);
                $('#fxpdf').submit();
                $('#fxpdf').remove();
            },
            _DownloadExcel2 = function() {
                var titulos = _GetTitles();
                titulos = JSON.stringify(titulos);
                var data = _GetData();
                data = JSON.stringify(data);
                var fini = $('#fechaIni').val();
                var ffin = $('#fechaFin').val();

                _DownloadExcelXLS(titulos, data, fini, ffin);
            },
            reportes_excel.Excel = function() {
                $("#click-export-excel").click(function() {
                    $('#preloader').fadeIn('slow');
                    //_DownloadExcel();
                    _DownloadExcel2();
                    $('#preloader').fadeOut('slow');
                    $('body').css({
                        'overflow': 'visible'
                    });
                });
            },
            reportes_excel.datepicker = function(InputId) {
                $('#' + InputId).datetimepicker({
                    viewMode: 'days',
                    format: 'DD-MM-YYYY'
                });
            },
            reportes_excel.TableData = function(DivId) {

                if ($.fn.dataTable.isDataTable('#' + DivId)) {
                    table = $("#" + DivId).dataTable();
                } else {
                    table = $("#" + DivId).dataTable({
                        "footerCallback": function(row, data, start, end, display) {
                            var api = this.api(),
                                data;

                            // Remove the formatting to get integer data for summation
                            var intVal = function(i) {
                                return typeof i === 'string' ?
                                    i.replace(/[\$,]/g, '') * 1 :
                                    typeof i === 'number' ?
                                    i : 0;
                            };

                            // Total over all pages
                            total = api
                                .column(8)
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Total over this page
                            pageTotal = api
                                .column(8, {
                                    page: 'current'
                                })
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Update footer
                            $(api.column(8).footer()).html(
                                // total.toString().match(/\d+(\.\d{1,2})?/g)[0]
                                'S/.' + pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] + ' (Total general: S/.' + total.toString().match(/\d+(\.\d{1,2})?/g)[0] + ')'
                            );

                            total = api
                                .column(9)
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Total over this page
                            pageTotal = api
                                .column(9, {
                                    page: 'current'
                                })
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Update footer
                            $(api.column(9).footer()).html(
                                // total.toString().match(/\d+(\.\d{1,2})?/g)[0]
                                'S/.' + pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] + ' (Total general: S/.' + total.toString().match(/\d+(\.\d{1,2})?/g)[0] + ')'
                            );

                            total = api
                                .column(10)
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Total over this page
                            pageTotal = api
                                .column(10, {
                                    page: 'current'
                                })
                                .data()
                                .reduce(function(a, b) {
                                    return intVal(a) + intVal(b);
                                }, 0);

                            // Update footer
                            $(api.column(10).footer()).html(
                                // total.toString().match(/\d+(\.\d{1,2})?/g)[0]
                                'S/.' + pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] + ' (Total general: S/.' + total.toString().match(/\d+(\.\d{1,2})?/g)[0] + ')'
                            );
                        },
                        scrollX: true,
                        language: {
                            search: 'Buscar',
                            lengthMenu: 'Visualizar _MENU_ registro por página',
                            zeroRecords: 'No hay información para mostrar.',
                            info: 'Página _PAGE_ de _PAGES_ de _MAX_',
                            infoEmpty: 'Página _PAGE_ - _PAGES_ de _MAX_ registros',
                            infoFiltered: '(filtrado de _MAX_ registros)',
                            paginate: {
                                previuos: 'Anterior',
                                next: 'Siguiente'
                            }
                        }

                    });

                }
                return table;
            };
        reportes_excel.clickexcel = () => {
            $("#click-export-excel").click((e) => {
                var tableData = [{
                    "sheetName": "Sheet1",
                    "data": []

                }];
                var tablecolumns = table.api().columns().header(); //[1].innerHTML
                var columns = [];
                for (var i = 0; i < tablecolumns.length; i++) {
                    columns.push({
                        'text': tablecolumns[i].innerHTML
                    })
                }
                tableData[0].data.push(columns);
                for (var r = 0; r < table.fnGetData().length; r++) {
                    var newitem = [];
                    for (var c = 0; c < tablecolumns.length; c++) {
                        var value = table.fnGetData(r, c);
                        console.log(value);
                        newitem.push({
                            'text': value.replace(/<[^>]*>?/g, '')
                        })
                    }
                    tableData[0].data.push(newitem);
                }
                var options = {
                    fileName: 'REPORTE-' + new Date().getFullYear() + '' + (new Date().getMonth() + 1) + '' + new Date().getDay() + '' + new Date().getHours() + '' + new Date().getMinutes() + '' + new Date().getSeconds()
                };
                console.log(tableData);
                return;
                Jhxlsx.export(tableData, options);
            });
        };

        return reportes_excel;
    })(reportes_excel || {});

    $('#fechaIni').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY',
    });
    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY',
    });

    $(document).ready(function() {
        reportes_excel.Nombre('Movimientos');
        reportes_excel.datepicker('fechainicio');
        reportes_excel.datepicker('fechafin');
        reportes_excel.TableData("example1");
        reportes_excel.Excel();
    });
</script>