
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Pagos Registrados
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Pagos Registrados</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">Relación de Pagos Registrados</h3>
                            <div class="row">
                                <div class="col-md-8" style="margin-top: 15px;">    
                                    <form action="?c=Reportes&a=Pagos" method="POST">
                                        <div class="row">
                                            <div class="col-md-3">
                                                Fecha Inicio <br/>
                                                <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                            </div>
                                            <div class="col-md-3">
                                                Fecha Fin <br/>
                                                <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                            </div>
                                            <div class="col-md-3">
                                                Tipo de movimiento<br>
                                                <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                                <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                                <?php } ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3">
                                                <br>
                                                <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                                <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                            </div>                                          
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-hover display responsive no-wrap">
                                <thead>
                                    <tr>
                                        <th>Fecha de Pago</th>
                                        <th>Medio de Pago</th>
                                        <th>Descripci&oacute;n</th>
                                        <th>Moneda</th>
                                        <th>Importe</th>
                                        <th>Documento</th>
                                        <th>RUC</th>
                                        <th>Cliente/Proveedor</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($reportes as $r) : ?>                    
                                        <tr> 
                                            <td><?php echo $r->FechaPago; ?></td>
                                            <td><?php echo $r->MedioPago; ?></td>
                                            <td><?php echo $r->Descripcion; ?></td>
                                            <td><?php echo $r->Moneda; ?></td>
                                            <td><?php echo $r->Importe; ?></td>
                                            <td><?php echo $r->Documento; ?></td>
                                            <td><?php echo $r->RUC; ?></td>
                                            <td><?php echo $r->CliProv; ?></td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Fecha de Pago</th>
                                        <th>Medio de Pago</th>
                                        <th>Descripci&oacute;n</th>
                                        <th>Moneda</th>
                                        <th>Importe</th>
                                        <th>Documento</th>
                                        <th>RUC</th>
                                        <th>Cliente/Proveedor</th>
                                    </tr>
                                </tfoot>
                            </table>

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        
        <!-- Modal modeal-ver -->
        <div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                            <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table table-striped" id="ver_datos">

                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /Modal modal-ver -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesReporteExcel.js"></script>
        <script type="text/javascript">            
            $('#fechaIni').datetimepicker({
                viewMode: 'days',
                format:'DD-MM-YYYY',
            });
            $('#fechaFin').datetimepicker({
                viewMode: 'days',
                format:'DD-MM-YYYY',
            });

            function MostrarMovimientoReporte(Movimiento_Id) {
                $.post('?c=Movimiento&a=MostrarMovimiento', {
                    Movimiento_Id: Movimiento_Id
                }, function (data) {
                    $("#ver_datos").html(data);
                });
            }

            $(document).ready(function () {
            	reportes_excel.Nombre('Pagos Registrados');
            	reportes_excel.datepicker('fechainicio');
            	reportes_excel.datepicker('fechafin');
                reportes_excel.TableData("example1");
                reportes_excel.Excel();
            });
        </script>
