<!-- Content Header (Page header) -->
<style type="text/css">
     #totalp {
        width: 100px !important;
    }
    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Stock
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Stock</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <div class="row">
                        <div class="col-md-6 text-left">
                            <h3 class="box-title">Relación completa de Stock</h3>
                        </div>
                        <div class="col-md-6 text-right">

                            <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar <i class="fa fa-file-excel-o"></i></button>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th>Código</th>
                                <th>Código2</th>
                                <th>Familia</th>
                                <th>Producto/Servicio</th>
                                <th>Stock</th>
                                <th>Unidad</th>
                                <th>Costo sin IGV S/</th>
                                <th>Valorizado S/</th>
                                <th>Costo inc. IGV S/</th>
                                <th>Precio Venta S/</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->__GET('valor01'); ?></td>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><?php echo $r->__GET('valor04'); ?></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>
                                    <td><?php echo $r->__GET('valor06'); ?></td>
                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th id="totalp">Total p&aacute;gina:</th>
                                <th id="totalg"></th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script>
    var reportes_stock = (function(reportes_stock, undefined) {
        reportes_stock.TableData = function(DivId) {
            if ($.fn.dataTable.isDataTable('#' + DivId)) {
                table = $("#" + DivId).dataTable();
            } else {
                table = $("#" + DivId).dataTable({
                    "footerCallback": function(row, data, start, end, display) {
                        var api = this.api(),
                            data;

                        // Remove the formatting to get integer data for summation
                        var intVal = function(i) {
                            return typeof i === 'string' ?
                                i.replace(/[\$,]/g, '') * 1 :
                                typeof i === 'number' ?
                                i : 0;
                        };

                        // Total over all pages
                        total = api
                            .column(7)
                            .data()
                            .reduce(function(a, b) {
                                return intVal(a) + intVal(b);
                            }, 0);

                        // Total over this page
                        pageTotal = api
                            .column(7, {
                                page: 'current'
                            })
                            .data()
                            .reduce(function(a, b) {
                                return intVal(a) + intVal(b);
                            }, 0);

                        // Update footer
                        $(api.column(7).footer()).html(
                            // total.toString().match(/\d+(\.\d{1,2})?/g)[0]
                            'S/.' + pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] + ' (Total general: S/.' + total.toString().match(/\d+(\.\d{1,2})?/g)[0] + ')'
                        );
                    },
                    scrollX: true,
                    language: {
                        search: 'Buscar',
                        lengthMenu: 'Visualizar _MENU_ registro por página',
                        zeroRecords: 'No hay información para mostrar.',
                        info: 'Página _PAGE_ de _PAGES_ de _MAX_',
                        infoEmpty: 'Página _PAGE_ - _PAGES_ de _MAX_ registros',
                        infoFiltered: '(filtrado de _MAX_ registros)',
                        paginate: {
                            previuos: 'Anterior',
                            next: 'Siguiente'
                        }
                    }
                });
            }
            return table;
        };
        reportes_stock.clickexcel = () => {
            $("#click-export-excel").click((e) => {
                var tableData = [{
                    "sheetName": "Sheet1",
                    "data": []
                }];
                var tablecolumns = table.api().columns().header(); //[1].innerHTML
                var columns = [];
                for (var i = 0; i < tablecolumns.length; i++) {
                    columns.push({
                        'text': tablecolumns[i].innerHTML
                    })
                }
                tableData[0].data.push(columns);
                for (var r = 0; r < table.fnGetData().length; r++) {
                    var newitem = [];
                    for (var c = 0; c < tablecolumns.length; c++) {
                        var value = table.fnGetData(r, c);
                        console.log(value);
                        newitem.push({
                            'text': value.replace(/<[^>]*>?/g, '')
                        })
                    }
                    tableData[0].data.push(newitem);
                }
                var options = {
                    fileName: 'REPORTE-' + new Date().getFullYear() + '' + (new Date().getMonth() + 1) + '' + new Date().getDay() + '' + new Date().getHours() + '' + new Date().getMinutes() + '' + new Date().getSeconds()
                };
                Jhxlsx.export(tableData, options);
            });
        };

        return reportes_stock;
    })(reportes_stock || {});

    $(document).ready(function() {
        reportes_stock.TableData("example1");
        // reportes_stock.Excel();
        reportes_stock.clickexcel();
    });
</script>