<?php 
header('Access-Control-Allow-Origin: *'); 
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/origendestino.entidad.php';
require_once 'model/pais.model.php';
class ClienteproveedorController
{
    private $parametro_model;
    private $origendestino_model;
    private $pais_model;
    private $segurdidad;
    public function __CONSTRUCT()
    {
        $this->parametro_model = new ParametroModel();
        $this->origendestino_model = new OrigendestinoModel();
        $this->pais_model = new PaisModel();
        $this->seguridad = new Seguridad();
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $clienteproveedor = $this->origendestino_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfaclienteproveedor.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    public function FrmGuardarClienteproveedor()
    {
        $paises = $this->pais_model->Listar();
        require_once 'view/webforms/wfaclienteproveedora.php';
    }
    public function FrmEditarClienteproveedor()
    {
        $datos = $this->origendestino_model->Buscar($_POST['Provclien_Id']);
        $paises = $this->pais_model->Listar();
        foreach ($datos as $r) :
            require_once 'view/webforms/wfaclienteproveedora.php';
        endforeach;
    }
    public function GuardarClienteproveedor()
    {
        $pro = new Origendestino();
        if ($_POST['Provclien_Id'] != 0 ? $pro->__SET('OrigenDestino_Id', $_POST['Provclien_Id']) : '');
        if ($_POST['sProcliDireccion'] == '') {
            $_POST['sProcliDireccion'] = 'n/a';
        }
        if ($_POST['nProcliTelefono'] == '') {
            $_POST['nProcliTelefono'] = 'n/a';
        }
        if ($_POST['sProcliCorreo'] == '') {
            $_POST['sProcliCorreo'] = 'n/a';
        }
        if ($_POST['sProcliContacto'] == '') {
            $_POST['sProcliContacto'] = 'n/a';
        }
        $pro->__SET('nODTipo', $_POST['nProcliTipo']);
        $pro->__SET('nODTipoDoc', $_POST['nProcliTipoDoc']);
        $pro->__SET('sODRucDni', $_POST['nProcliRUCDNI']);
        $pro->__SET('sODNombre', $_POST['sProcliNombre']);
        $pro->__SET('sODNombreComercial', $_POST['sProcliNomComercial']);
        $pro->__SET('sODDireccion', $_POST['sProcliDireccion']);
        $pro->__SET('sODTelefono', $_POST['nProcliTelefono']);
        $pro->__SET('sODCorreo', $_POST['sProcliCorreo']);
        $pro->__SET('sODContacto', $_POST['sProcliContacto']);
        $pro->__SET('nODDiasCredito', $_POST['nProcliDiasCredito']);
        $pro->__SET('nODPais_Id', $_POST['nODPais_Id']);
        $pro->__SET('nODIdioma_Id', $_POST['nODIdioma_Id']);
        $pro->__SET('nProcliDepId', $_POST['nProcliDepId']);
        $pro->__SET('nProcliDepName', $_POST['nProcliDepName']);
        $pro->__SET('nProcliProvId', $_POST['nProcliProvId']);
        $pro->__SET('nProcliProvName', $_POST['nProcliProvName']);
        $pro->__SET('nProcliDistId', $_POST['nProcliDistId']);
        $pro->__SET('nProcliDistName', $_POST['nProcliDistName']);
        $pro->__SET('nODEstado', $_POST['nProcliEstado']);
        $pro->__SET('nODEliminado', 0);
        $pro->__SET('nODUsuario_Id', $_SESSION['usu_codigo']);
        // if ($_POST['Provclien_Id'] != 0 ? $this->origendestino_model->Editar($pro) : $this->origendestino_model->Crear($pro));
         if ($_POST['Provclien_Id'] != 0) {
            $this->origendestino_model->Editar($pro);
        } else {
            $this->origendestino_model->Crear($pro);
            echo '<div class="alert alert-success" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                    </div>';
        }
    }
    public function MostrarClienteproveedor()
    {
        $clientes = $this->origendestino_model->Buscar($_POST['Provclien_Id']);
        foreach ($clientes as $r) :
            $idioma = '';
            if ($r->__GET('nODTipo') == 1) {
                $tipo = "Proveedor";
            } elseif ($r->__GET('nODTipo') == 2) {
                $tipo = "Cliente";
            } else {
                $tipo = "Reportes";
            }
            if ($r->__GET('nODIdioma_Id') == 1) {
                $idioma = "Español";
            } elseif ($r->__GET('nODIdioma_Id') == 2) {
                $idioma = "Inlges";
            }
            echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='OrigenDestino_Id' id='OrigenDestino_Id' value='" . $r->__GET('OrigenDestino_Id') . "'> 
                                Nombre
                             </td>
                             <td>" . $r->__GET('sODNombre') . "</td>
                          </tr>
                          <tr>
                             <td>Nombre Comercial</td>
                             <td>" . $r->__GET('sODNombreComercial') . "</td>
                          </tr>
                          <tr>
                             <td>RUC/DNI</td>
                             <td>" . $r->__GET('sODRucDni') . "</td>
                          </tr>
                          <tr>
                             <td>Dirección</td>
                             <td>" . $r->__GET('sODDireccion') . "</td>
                          </tr>
                          <tr>
                             <td>Teléfono</td>
                             <td>" . $r->__GET('sODTelefono') . "</td>
                          </tr>
                          <tr>
                             <td>Correo</td>
                             <td>" . $r->__GET('sODCorreo') . "</td>
                          </tr>
                          <tr>
                             <td>Contacto</td>
                             <td>" . $r->__GET('sODContacto') . "</td>
                          </tr>
                          <tr>
                             <td>Días de Credito</td>
                             <td>" . $r->__GET('nODDiasCredito') . "</td>
                          </tr>   
                          <tr>
                             <td>Pais</td>
                             <td>" . $r->__GET('Pais') . "</td>
                          </tr>   
                          <tr>
                             <td>Idioma</td>
                             <td>" . $idioma . "</td>
                          </tr>   
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nODEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }
    public function EliminarClienteproveedor()
    {
        $procli = new Origendestino();
        $procli->__SET('OrigenDestino_Id', $_POST['IdProvclien']);
        $this->origendestino_model->Eliminar($procli);
        echo '<script type="text/javascript">window.location="?c=Clienteproveedor&a=Index";</script>';
    }

    public function TipoPrvClien()
    {
        $provclien = $this->origendestino_model->Listar2();
        echo '<option value="">Seleccione cliente/proveedor</option>';
        foreach ($provclien as $p) {
            if ($p->__GET('nODTipo') == $_POST['tipo']) {
                echo sprintf('<option value="%s" data-subtext="%s" data-direccion="%s" data-ubigeo="%s" data-diascredito="%s">%s</option>',
                    $p->__GET('OrigenDestino_Id'),
                    $p->__GET('sODRucDni'),
                    $p->__GET('sODDireccion'),
                    sprintf('%s-%s-%s',$p->__GET('nProcliDepName'),$p->__GET('nProcliProvName'),$p->__GET('nProcliDistName')),
                    $p->__GET('nODDiasCredito'),
                    $p->__GET('sODNombreComercial') 
                );
            }
        }
    }
    public function PDFCliente()
    {
        $datos = $this->origendestino_model->Buscar($_POST['OrigenDestino_Id']);
        require_once 'view/webforms/PDF/cliente.php';
    }
    public function validardocumento()
    {
        echo json_encode($this->origendestino_model->validar($_REQUEST['documento'], $_REQUEST['Provclien_Id']));
    }
    public function SearchRucDni() 
    {
        try {
            $company = new \Sunat\Sunat(true, true);
            $search = $company->search( $_REQUEST['documento'] );
            
            if($search->success == true )
            {
                echo json_encode((array)$search->result);
            } else {
                throw new Exception("Value must be 1 or below");
            }
        } catch(Exception $e) {
            echo $e;
        }
    }
}
 