<?php
require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/prodserv.entidad.php';
require_once 'model/prodserv.model.php';
require_once 'model/origendestino.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/codigo.entidad.php';
require_once 'model/codigo.model.php';
require_once 'model/familia.entidad.php';
require_once 'model/familia.model.php';
require_once 'model/familiaarbol.entidad.php';
require_once 'model/familiaarbol.model.php';

class CodigoController extends MetodosController
{
    public $url;
    //private $electronic_controller;
    private $seguridad;
    public $parametro_model;
    public $prodserv_model;
	public $origendestino_model;
	public $codigo_model;
    public $familia_model;
    public $familiaarbol_model;

    public function __CONSTRUCT()
    {
        $this->url = 'http://colibri-fm.ddns.net:8087/servicio/Transaccion/AnularSunat/' . $_SESSION['usu_enterpriseRuc'];
        $this->parametro_model = new ParametroModel();
        //$this->electronic_controller = new ElectronicController();
        $this->seguridad = new Seguridad();
        $this->prodserv_model = new ProdservModel();
		$this->origendestino_model = new OrigendestinoModel();
		$this->codigo_model = new CodigoModel();
        $this->familia_model = new FamiliaModel();
        $this->familiaarbol_model = new FamiliaArbolModel();

        foreach ($this->parametro_model->ListarParametros() as $pa) {
            if ($pa->__GET('Parametro_Id') == 2) {
                $this->IGV = ($pa->__GET('sParValor') + 100) / 100;
            }
            if ($pa->__GET('Parametro_Id') == 10) {
                $this->ICBPER =  ($pa->__GET('sParValor')) / 100;
            }
            if ($pa->__GET('Parametro_Id') == 14) {
                $this->DECIMALES =  ($pa->__GET('sParValor'));
            }
        }
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $codigo = $this->codigo_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfacodigo.php';
        if(isset($_POST['REFPROMOVER_Id'])){
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            PromoverREFPROMOVER({$_POST['REFPROMOVER_Id']})
                        });
                  </script>";
        }
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }


    public function FrmGuardarCodigo()
    {
        $parametro = $this->parametro_model->ListarParametros();
        //$familias = $this->familia_model->ListarServicios();
        $familias = $this->familiaarbol_model->Listar();
        require_once 'view/webforms/wfacodigoa.php';
    }

    public function FrmEditarCodigo()
    {
        $parametro = $this->parametro_model->ListarParametros();
        //$familias = $this->familia_model->ListarServicios();
        $familias = $this->familiaarbol_model->Listar();
        $codigo = $this->codigo_model->Buscar($_POST['Codigo_Id']);
        foreach ($codigo as $r) :
            require_once 'view/webforms/wfacodigoa.php';
        endforeach;
    }

    public function PromoverCodigo()
    {
        $promover_id = $_POST['Promover_Id'];
        $promover_controller = $_POST['Promover_Controller'];
        $promover_controller_Id = sprintf('n%s%s_Id',strtoupper('cod'),$promover_controller);

        $parametro = $this->parametro_model->ListarParametros();
        $data = eval(sprintf('return $this->%s_model->Buscar();',strtolower($promover_controller)));

        if(!empty($data)){
            $cod = new Codigo();
            $cod->__set('Codigo_Id', $data[0]->{$promover_controller_Id});
            /**
            * COMPLETAR LA LISTA DE DATOS
            */
            require_once 'view/webforms/wfacodigoa.php';
        }
    }

    public function MostrarCodigo()
    {
        $cod = $this->codigo_model->Buscar($_POST['Codigo_Id']);
        echo '<table class="table table-hover table-bordered">';
        foreach ($cod as $r){
                echo '<tr>';
		echo '<td>Código: </td>';
		echo '<td>' . $r->__get('sCodCodigo') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Familia: </td>';
		echo '<td>' . $r->__get('Familia') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Latitud: </td>';
		echo '<td>' . $r->__get('sCodLatitud') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Longitud (cm): </td>';
		echo '<td>' . $r->__get('sCodLongitud') . '</td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td>Estado: </td>';
		echo '<td>' . ($r->__GET('nCodEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . '</td>';
		echo '</tr>';
        }
        echo '</table>';
    }

    public function GuardarCodigo()
    {
        $is_edit = $_POST['Codigo_Id']!=0?true:false;

        $cod = new Codigo();
        if ($is_edit ? $cod->__SET('Codigo_Id', $_POST['Codigo_Id']) : '');
        $cod->__set('sCodCodigo', $_POST['sCodCodigo']);
		$cod->__set('nCodFamilia_Id', $_POST['nCodFamilia_Id']);
		$cod->__set('sCodLatitud', $_POST['sCodLatitud']);
		$cod->__set('sCodLongitud', $_POST['sCodLongitud']);
		$cod->__set('nCodEstado', $_POST['nCodEstado']);
		$cod->__set('nCodEliminado', 0);
		$cod->__set('Usuario_Id', $_SESSION['usu_codigo']);

        if ($is_edit) {
            $this->codigo_model->Editar($cod);
        } else {
            $this->codigo_model->Crear($cod);
        }
        echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                  </div>';
    }

    public function EliminarCodigo()
    {
        $this->codigo_model->Eliminar($_POST['Codigo_Id']);
    }

    public function ImprimibleCodigo()
    {
        $codigo = $this->codigo_model->Buscar($_REQUEST['Codigo_Id']);
        $r = $codigo[0];
        require_once 'view/webforms/PDF/Codigo.php';
    }
}
