<?php    
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    require_once 'model/rubro.model.php';
    require_once 'model/rubro.entidad.php';
    class RubroController {
        private $parametro_model;
        private $rubro_model;
        private $seguridad;
        public function __CONSTRUCT(){
            $this->parametro_model = new ParametroModel();
            $this->rubro_model = new RubroModel();
            $this->seguridad = new Seguridad();
        }
        
        public function Index(){
            $rubros = $this->rubro_model->Listar();
            $parametro = $this->parametro_model->ListarParametros();
            require_once 'view/header.php';
            require_once 'view/webforms/wfarubro.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php';
        }
        public function FrmFamilia(){
            $rubros = $this->rubro_model->Listar();
            require 'view/webforms/wfarubroa.php';
        }
        public function FrmEditarFamilia(){
            $rubros = $this->rubro_model->Listar();
            $datos = $this->rubro_model->Buscar($_POST['Rubro_Id']);
            foreach ($datos as $r){                
                require 'view/webforms/wfarubroa.php';
            }
        }
        public function GuardarFamilia(){
            $fam = new Rubro();
            if($_POST['Rubro_Id'] != 0 ? $fam->__SET('Rubro_Id', $_POST['Rubro_Id']) : '');
            $fam->__SET('sRubCodigo', $_POST['sRubCodigo']);
            $fam->__SET('sRubDescripcion', $_POST['sRubDescripcion']);
            $fam->__SET('nRubPadre', $_POST['nRubPadre']);
            $fam->__SET('nRubEstado', $_POST['nRubEstado']);
            $fam->__SET('nRubEliminado', 0);
            $fam->__SET('Usuario_Id', $_SESSION['usu_codigo']);
            if($_POST['Rubro_Id'] != 0 ? $this->rubro_model->Editar($fam) : $this->rubro_model->guardar($fam));
        }
        public function ListarArbolContenido(){
            $familia = $this->rubro_model->Listar();
            $ex = array();
            foreach ($familia as $arb){
                $ex[] = array('id' => $arb->__GET('Rubro_Id'),
                              'codigo' => $arb->__GET('sRubCodigo'),
                              'nombre' => $arb->__GET('sRubDescripcion'),
                              'parentId' => $arb->__GET('nRubPadre'));
            }
            echo '<ol class="tree">';
            $arbol_lista = "";
            for($j=0;$j<count($ex);$j++){
                if($ex[$j]['parentId'] == 0){
                    $arbol_lista .= '<li>
                                        <label>'.$ex[$j]['codigo'].'- '.$ex[$j]['nombre'].'</label>
                                        <input type="checkbox" checked id="folder1" />'
                                        .Arbol($ex,$ex[$j]['id']).'
                                    </li>';
                }  
            }
            echo $arbol_lista;
            echo '</ol>';
        }
        public function EliminarFamilia(){
            $fam = new Rubro();
            $fam->__SET('Rubro_Id', $_POST['Rubro_Id']); 
            $dato = $this->rubro_model->Hijos($_POST['Rubro_Id']);
            if(count($dato)>0){  
                $fa = new Rubro();
                $fa->__SET('Rubro_Id', $_POST['Rubro_Id']); 
                $fa->__SET('nRubPadre', $_POST['nRubPadre']);
                $this->rubro_model->Padre($fa);
                $this->rubro_model->Eliminar($fam);  
            }else{ 
                $this->rubro_model->Eliminar($fam);                
            }
            echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información modificado</strong>, los datos fueron eliminados correctamente.
                  </div>';        
        }
    }
    function Arbol($tree, $padre){
        $cont = 0;
        $list = "<ol>";
        for($i=0;$i<count($tree);$i++){
            if($tree[$i]['parentId'] == $padre){
                $list .= '<li>
                            <label><a onclick="FrmEditarRubro(\''.$tree[$i]['id'].'\');">'.$tree[$i]['codigo'].'- '. $tree[$i]['nombre'] .'</a></label>
                            <input type="checkbox" checked id="'.$tree[$i]['nombre'].'" />'
                            .Arbol($tree, $tree[$i]['id']).' 
                          </li>';
                $cont++;
            }
        }    
        $list .= "</ol>";
        if($cont == 0){
            $list = "";
        }
        return $list;
    }
?>