<?php

class UserModel {
    private $pdo;
    public function __CONSTRUCT() {
        try {
            require_once 'db.php';
            $this->pdo = DB::cn();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function GetByAuth($login, $password) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT u.*, eu.*, e.Code AS EnterpriseCode, 
                                               e.TradeName AS EnterpriseName,
                                               e.Ruc AS EnterpriseRuc,
                                               e.Address AS EnterpriseAddress,
                                               e.UbigeoName AS EnterpriseUbigeoName,
                                               e.UbigeoCode AS EnterpriseUbigeoCode,
                                               e.CTADetraccion AS EnterpriseCTADetraccion,
                                               e.IsFE AS EnterpriseIsFE,
                                               e.Notification AS EnterpriseNotification,
                                               e.Background,
                                               e.ExoneratedIGV 
                                        FROM user u 
                                        INNER JOIN enterpriseuser eu ON u.Id = eu.UserId AND eu.IsDefault = 1 
                                        INNER JOIN enterprise e ON eu.EnterpriseId = e.Id
                                        WHERE Login = ? AND password = ? AND u.Status=1");
            $stm->execute([$login, $password]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $result = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
}