function MostrarMovimiento(Movimiento_Id) {
    $("#PDFMmovimiento_Id").val(Movimiento_Id);
    $.post('?c=Cotizacion&a=MostrarMovimiento', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function FrmGuardarMovimiento() {
    $.post('?c=Cotizacion&a=FrmGuardarMovimiento', {}, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarMovimiento(Movimiento_Id) {
    $.post('?c=Movimiento&a=FrmEditarMovimiento', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarUsuario(Usuario_Id) {
    $.post('?c=Usuario&a=FrmEditarUsuario', {
        Usuario_Id: Usuario_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function mostrarUsuario(Usuario_Id) {
    $.post('?c=Usuario&a=MostrarUsuario', {
        Usuario_Id: Usuario_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function Limpiar() {
    document.getElementById('Movimiento_Id').value = '0';
    document.getElementById('dMovFecha').value = '';
    $('#dMovFechaCotizacion').prop('selectedIndex', 0);
    $('#nMovTipopago').prop('selectedIndex', 0);
    $('#nMovOrigenDestino_Id').prop('selectedIndex', 0);
    $('#nMovTipodestino').prop('selectedIndex', 0);
    $('#Almacen_Id').prop('selectedIndex', 0);
    $('#Documento_Id').prop('selectedIndex', 0);
    document.getElementById('sMovDocumento').value = '';
    document.getElementById('sMovDocReferencia').value = '';
    $('#Moneda_Id').prop('selectedIndex', 0);
    if (document.getElementById('Moneda_Id').value == '2') {
        document.getElementById('nMovTipoCambio').value = '1';
    }
    $('#nMovVendedor_Id').prop('selectedIndex', 0);
    $('#dMovDetraccion_check').prop("checked", true);
    document.getElementById('dMovDetraccion').value = '0';
    $('#dMovPercepcion_check').prop("checked", true);
    document.getElementById('dMovPercepcion').value = '0';
    $('#dMovRetencion_check').prop("checked", true);
    document.getElementById('dMovRetencion').value = '0';
    document.getElementById('dMovImporte').value = '0';
    document.getElementById('dMovICBPER').value = '0';
    document.getElementById('dMovIGV').value = '0';
    document.getElementById('dMovTotal').value = '0';
    $("#sMovObservacion").val("");
    $('#tipo').prop('selectedIndex', 0);
}

function LimpiarFrmProductos() {
    // $('#ProdServ_Id').prop('selectedIndex',0);

    document.getElementById('sMovDetConCantidad').value = "0";
    //    document.getElementById('dMovDetConFechaVencimiento').value = "";
    $('#Unidadmedida_Id').prop('selectedIndex', 0);
    document.getElementById('nMovDetConPrecioUnitario').value = "0";
    document.getElementById('nMovDetConSubtotal').value = "0";
}

function LimpiarFrmProductosLotes() {
    var value = 0;
    $("#lotes").attr('checked', false);
    //$('#ProdServ_Id').prop('selectedIndex',0);
    $('#Unidadmedida_Id').prop('selectedIndex', 0);
    document.getElementById('sMovDetConCantidad').value = 1;
    document.getElementById('nMovDetConPrecioUnitario').value = value.toFixed(2);
    document.getElementById('nMovDetConSubtotal').value = value.toFixed(2);
    var tipodestino = document.getElementById('nMovTipodestino').value;
    if (tipodestino === "2") {
        $("#lista_lotes").parent().hide();
    } else {
        $("#lista_lotes").parent().show();
    }
}

function ValidarTipomovimiento() {
    var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
    // $("#nIncluyeLoteIGV").prop("checked", true); 
    if (Tipomovimiento_Id == "") {
        $("#Tipomovimiento_Id").addClass('error');
        $("#Tipomovimiento_Id").parent().children().first().addClass("error");
    } else {
        $("#Tipomovimiento_Id").removeClass('error');
        $("#Tipomovimiento_Id").parent().children().first().removeClass("error");
        LimpiarFrmProductosLotes();
        $("#agregar_producto").modal('show');
    }
    $('html, body').animate({
        scrollTop: '0px'
    }, 1000);
}

function GuardarMovimiento() {
    NumeroDocumento();
    var nMovOrigenDestino_Id = document.getElementById('nMovOrigenDestino_Id').value;
    var sMovDocumento = document.getElementById('sMovDocumento').value;

    if (sMovDocumento == undefined || sMovDocumento === '' || !sMovDocumento) {
        swal("Advertencia.", "El documento no se cargo correctamente.", "warning");
        return;
    }
    if (!nMovOrigenDestino_Id) {
        swal("Advertencia.", "Debe de seleccionar un cliente/proveedor porfavor.", "warning");
        return;
    }


    // Si hay productos con precio 0
    var cantidad_productos = $('#productos_servicios').children().length;
    for (var i = 0; i < cantidad_productos; i++) {
        var productocero = parseFloat($('#productos_servicios').children()[i].children[4].innerHTML);
        if ($('#Documento_Id').val() == 1 || $('#Documento_Id').val() == 2) {
            if (productocero.toFixed(2) === 0) {
                swal("Advertencia.", "Hay productos con precio 0.", "warning");
                return;
            }
        }
    }


    $.post('?c=Movimiento&a=validardetallemovimiento', {}, function (data) {
        $('#preloader').show();
        var cant = parseInt(data);
        if (cant > 0) {
            var Movimiento_Id = document.getElementById('Movimiento_Id').value;
            var dMovFecha = document.getElementById('dMovFecha').value;
            var dMovFechaCotizacion = document.getElementById('dMovFechaCotizacion').value;
            var nMovTipopago = document.getElementById('nMovTipopago').value;
            var Almacen_Id = document.getElementById('Almacen_Id').value;
            var nMovOrigenDestino_Id = document.getElementById('nMovOrigenDestino_Id').value;
            var nMovTipoOrigenDestino = document.getElementById('nMovTipoOrigenDestino').value;

            var nMovTipodestino = document.getElementById('nMovTipodestino').value;
            var Documento_Id = document.getElementById('Documento_Id').value;
            var sMovDocReferencia = document.getElementById('sMovDocReferencia').value;
            var Moneda_Id = document.getElementById('Moneda_Id').value;
            var nMovTipoCambio = document.getElementById('nMovTipoCambio').value;
            var nMovVendedor_Id = document.getElementById('nMovVendedor_Id').value;
            var dMovImporte = document.getElementById('dMovImporte').value;
            var dMovIGV = document.getElementById('dMovIGV').value;
            var dMovICBPER = document.getElementById('dMovICBPER').value;
            var dMovTotal = document.getElementById('dMovTotal').value;
            var dMovSaldo = document.getElementById('dMovTotal').value;
            var dMovDetraccion = document.getElementById('dMovDetraccion').value;
            var dMovPercepcion = document.getElementById('dMovPercepcion').value;
            var dMovRetencion = document.getElementById('dMovRetencion').value;
            var sMovObservacion = document.getElementById('sMovObservacion').value;
            //    var nMovEstado = document.getElementById('nMovEstado').value;
            $.post('?c=Cotizacion&a=GuardarMovimiento', {
                Movimiento_Id: Movimiento_Id,
                dMovFecha: dMovFecha,
                dMovFechaCotizacion: dMovFechaCotizacion,
                nMovTipopago: nMovTipopago,
                Almacen_Id: Almacen_Id,
                nMovTipoOrigenDestino: nMovTipoOrigenDestino,
                nMovOrigenDestino_Id: nMovOrigenDestino_Id,
                nMovTipodestino: nMovTipodestino,
                Documento_Id: Documento_Id,
                sMovDocumento: sMovDocumento,
                sMovDocReferencia: sMovDocReferencia,
                Moneda_Id: Moneda_Id,
                nMovTipoCambio: nMovTipoCambio,
                nMovVendedor_Id: nMovVendedor_Id,
                dMovImporte: dMovImporte,
                dMovIGV: dMovIGV,
                dMovICBPER: dMovICBPER,
                dMovTotal: dMovTotal,
                dMovSaldo: dMovSaldo,
                dMovDetraccion: dMovDetraccion,
                dMovPercepcion: dMovPercepcion,
                dMovRetencion: dMovRetencion,
                sMovObservacion: sMovObservacion
                //        nMovEstado: nMovEstado
            }, function (data) {
                $("#resultado").html(data);
                $('#preloader').hide();
                Limpiar();
                ListarProductos();
                CalcularImpTotIGV();
                $('html, body').animate({
                    scrollTop: '0px'
                }, 1000);
                setTimeout(function() {
                    window.location.reload()
    
                }, 500);

            });
        } else {
            swal("Advertencia.", "El movimiento debe contener al menos un detalle", "warning");
        }
    });
}

function AvisoImpresionProductos() {
    var e = $('#alert_exceso');
    var cant = $('#productos_servicios tr').size();
    var max = parseInt(e.data('max'));
    console.log('productos: ' + cant);
    if (cant > max) {
        e
            .html('<b>IMPORTANTE:</b> A partir de ' + (max + 1) + ' productos, la impresi&oacute;n es por ticket (Hay ' + cant + ' productos actualmente).')
            .removeClass('hidden')
            .show('fast');
    } else {
        e.hide('fast')
    }
}

function ErrorCalculo() {

    // var e = $('#alert_error');
    var importe = $("#dMovImporte").val();
    var importe = importe.replace(',', '');
    var igv = $('#dMovIGV').val();
    var igv = igv.replace(',', '');
    var icbper = $('#dMovICBPER').val();
    var icbper = icbper.replace(',', '');
    var total = $('#dMovTotal').val();
    var total = total.replace(',', '');
    var sum = parseFloat(importe) + parseFloat(igv) + parseFloat(icbper);
    //   
    if (sum.toFixed(2) != parseFloat(total)) {
        // e
        //     .html('<b>AVISO:</b> Hay un error en la sumatoria de los importes.')
        //     .removeClass('hidden')
        //     .show('fast');
        swal("Aviso.", "Hay un error en la sumatoria de los importes.", "warning");
        return;
        // return false;
    }
}


function AgregarProductoC() {
    // var nProSrvICBPer = document.getElementById('nProSrvICBPer').value;
    var nProSrvICBPer = $("#ProdServ_Id").find(':selected').data('icbper');
    var Almacen_Id = document.getElementById('Almacen_Id').value;
    var ProdServ_Id = document.getElementById('ProdServ_Id').value;
    var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
    var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
    var dMovDetConFechaVencimiento = document.getElementById('dMovDetConFechaVencimiento').value;
    var nMovDetConSubtotal = document.getElementById('nMovDetConSubtotal').value;
    var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
    var nIncluyeIGV = 0;
    if ($("#nIncluyeIGV").prop("checked") == true) {
        nIncluyeIGV = 1;
    }

    if (sMovDetConCantidad > 0) {
        $.post('?c=Movimiento&a=AgregarProductoC', {
            Almacen_Id: Almacen_Id,
            ProdServ_Id: ProdServ_Id,
            Unidadmedida_Id: Unidadmedida_Id,
            sMovDetConCantidad: sMovDetConCantidad,
            dMovDetConFechaVencimiento: dMovDetConFechaVencimiento,
            nMovDetConSubtotal: nMovDetConSubtotal,
            nMovDetConPrecioUnitario: nMovDetConPrecioUnitario,
            nIncluyeIGV: nIncluyeIGV,
            nProSrvExoneradoIGV: $("#nProSrvExoneradoIGV").val(),
            nProSrvICBPer: nProSrvICBPer
        }, function (data) {
            $("#resultado_ingresocompra").html(data); // Mostrar la respuestas del script PHP.
            LimpiarFrmProductos();
            ListarProductos();
            CalcularImpTotIGV();
        });
    } else {
        swal("La cantidad tiene que ser mayor a 0");
    }
   
}

function ProductosUNILista() {
    var ProdServ_Id = document.getElementById('ProdServ_Id').value;
    $.post('?c=Movimiento&a=ListarUnidades', {
        ProdServ_Id: ProdServ_Id
    }, function (data) {
        $("#Unidadmedida_Id").html(data);
        setTimeout(() => {
            $("#Unidadmedida_Id").change();
        }, 500);
    });
}

function ListarProductos() {
    $.post('?c=Movimiento&a=ListarProductos', {}, function (data) {
        $("#productos_servicios").html(data);
        AvisoImpresionProductos();

    });
}

function ListarProductosLote() {
    var nProSrvExoneradoIGV = $("#ProdServ_Id option:selected").data('exoneradoigv');
    var ProdServ_Id = document.getElementById('ProdServ_Id');
    $.post('?c=Movimiento&a=ListarLoteProducto', {
        ProdServ_Id: ProdServ_Id.value
    }, function (data) {
        $("#lista_lotes").html(data);
        ProductosUNILista();
        $("#nProSrvExoneradoIGV").val(nProSrvExoneradoIGV);
    });
}

function TotalGravamen() {
    $.post('?c=Garantias&a=TotalGarantias', {}, function (data) {
        document.getElementById('').value = data;
    });
}

function CalcularImpTotIGV() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=Movimiento&a=CalcularImpTotIGV', {
        Documento_Id: Documento_Id
    }, function (data) {
        $("#resultado_productos").html(data);
    });
}

function CalcularImpTotIGV_venta() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=Movimiento&a=CalcularImpTotIGV_venta', {
        Documento_Id: Documento_Id
    }, function (data) {
        $("#resultado_productos").html(data);
    });
}

function CalcularSubtotal() {
    var decimales = document.getElementById('nro_decimales').value;
    var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
    var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
    document.getElementById('nMovDetConSubtotal').value = (sMovDetConCantidad * nMovDetConPrecioUnitario).toFixed(decimales);
}

function Tipomovimiento() {
    var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
    $.post('?c=Movimiento&a=TipoMovimiento', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#FrmTipomovimiento").html(data);
        TipoDocumento(Tipomovimiento_Id);
        $("#Documento_Id").attr('disabled', false);
        CalcularImpTotIGV();
    });
}

function Tipomovimiento_venta() {
    var Tipomovimiento_Id = 2;
    $.post('?c=Movimiento&a=TipoMovimiento', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#FrmTipomovimiento").html(data);
        TipoDocumento_vetna(Tipomovimiento_Id);
        CalcularImpTotIGV_venta();
    });
}

function TipoDocumento(Tipomovimiento_Id) {
    $.post('?c=Tipodocumento&a=ListarConbobox2', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        NumeroDocumento();
    });
}

function TipoDocumento_vetna(Tipomovimiento_Id) {
    $.post('?c=Tipodocumento&a=ListarConbobox2', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        NumeroDocumento_Venta();
    });
}

function TipoDocumentoEditar(nMovOrigenDestino_Id) {
    var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
    $.post('?c=Tipodocumento&a=ListarConbobox2', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        $("#Documento_Id").attr('disabled', false);
        $("#nMovOrigenDestino_Id").val(nMovOrigenDestino_Id);
    });
}

function NumeroDocumento() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=Tipodocumento&a=NumeroDocumento', {
        Documento_Id: Documento_Id
    }, function (data) {
        document.getElementById("sMovDocumento").value = parseInt(data);
        AutomaticoSINO(Documento_Id);
        CalcularImpTotIGV();
    });
}

function NumeroDocumento_Venta() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=Tipodocumento&a=NumeroDocumento', {
        Documento_Id: Documento_Id
    }, function (data) {
        document.getElementById("sMovDocumento").value = parseInt(data);
        AutomaticoSINO(Documento_Id);
        CalcularImpTotIGV_venta();
    });
}

function AutomaticoSINO(Documento_Id) {
    $.post('?c=Tipodocumento&a=AutomaticoSINO', {
        Documento_Id: Documento_Id
    }, function (data) {
        //        console.log(data);
        $("#resultado_productos").html(data);
    });
}

function TipoPrvClien() {
    var tipo = document.getElementById('nMovTipoOrigenDestino').value;
    $.post('?c=Clienteproveedor&a=TipoPrvClien', {
        tipo: tipo
    }, function (data) {
        $("#nMovOrigenDestino_Id").html(data);
        if ($("#Movimiento_Id").val() == 0) {
            $("#nMovOrigenDestino_Id").selectpicker('refresh');
        }
    });
}

function EliminarProductoLista() {
    var Codigo_Producto = document.getElementById('Codigo_Producto').value;
    $.post('?c=Movimiento&a=EliminarProductoLista', {
        Codigo_Producto: Codigo_Producto
    }, function (data) {
        $("#resultado").html(data);
        ListarProductos();
        CalcularImpTotIGV();
        $("#eliminar_productos").modal("hide");
    });
}

function previsualizacion(Movimiento_Id) {
    $.post('?c=Movimiento&a=Previsualizacion', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function PromoverCotizacion(Movimiento_Id) {
    var f = '<form id="send_form_cotizacion" method="POST" action="?c=Movimiento&a=Index"><input type="hihdden" name="Movimiento_Id" value="'+Movimiento_Id+'"></form>';
    $('body').append(f);
    document.getElementById('send_form_cotizacion').submit();
}

$(document).ready(function () {
    $("#FormMovimiento").validators({
        rules: {
            dMovFecha: {
                required: true
            },
            Tipomovimiento_Id: {
                required: true
            },
            nMovTipopago: {
                required: true
            },
            nMovTipoOrigenDestino: {
                required: true
            },
            nMovOrigenDestino_Id: {
                required: true
            }
        }
    });
});

