<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Árbol
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Árbol</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-6">
            <div class="box box-primary">
                <form action="javascript:GuardarCodigo();" method="POST" id="FormCodigo">
                    <div class="box-header">
                        <h3 class="box-title">Datos basicos</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <input type="hidden" id="Codigo_Id" name="Codigo_Id" value="<?php echo isset($r) ? $r->__get('Codigo_Id') : '0'; ?>">
                        <div class="row">
                            <div class="col-md-6 form-group">
								<label>Código</label>
								<input type="text" class="form-control" name="sCodCodigo" id="sCodCodigo" placeholder="Código" value="<?php echo isset($r) ? $r->__get('sCodCodigo') : ''; ?>">
							</div>
							<div class="col-md-6 form-group">
								<label>Especie</label>
								<select class="form-control" name="nCodFamilia_Id" id="nCodFamilia_Id">
									<option value="" <?php echo isset($r) ? $r->__GET('nCodFamilia_Id') == '' ? 'selected' : '' : ''; ?>>Seleccione Especie</option>
                                    <?php
                                        if(!empty($familias)){
                                            foreach($familias as $f){
                                    ?>
                                        <option value="<?=$f->FamiliaArbol_Id?>" <?php echo isset($r) ? $r->__GET('nCodFamilia_Id') == $f->FamiliaArbol_Id ? 'selected' : '' : ''; ?>><?=$f->sFANombre?></option>
                                    <?php
                                            }
                                        }
                                    ?>
								</select>
							</div>
							<div class="col-md-6 form-group">
								<label>Latitud</label>
								<input type="text" class="form-control" name="sCodLatitud" id="sCodLatitud" placeholder="Latitud" value="<?php echo isset($r) ? $r->__get('sCodLatitud') : ''; ?>">
							</div>
							<div class="col-md-6 form-group">
								<label>Longitud</label>
								<input type="text" class="form-control" name="sCodLongitud" id="sCodLongitud" placeholder="Longitud" value="<?php echo isset($r) ? $r->__get('sCodLongitud') : ''; ?>">
							</div>
							<div class="col-md-12 form-group">
								<label>Estado</label>
                                <select class="form-control" name="nCodEstado" id="nCodEstado">
                                    <option value="1" <?php echo isset($r) ? $r->__GET('nCodEstado') == 1 ? 'selected' : '' : ''; ?>>Habilitado</option>
                                    <option value="0" <?php echo isset($r) ? $r->__GET('nCodEstado') == 0 ? 'selected' : '' : ''; ?>>Deshabilitado</option>
                                </select>
							</div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" onmouseover="this.onmouseover=function(){return false}" class="btn btn-primary btn-flat">Guardar información</button>
                        <a href="?c=Codigo&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<script src="view/librerias/dist/js/funcionesCodigo.js"></script>
<script type="text/javascript">
    $(document).ready(function() {

        var Codigo_Id = document.getElementById('Codigo_Id').value;


        if (Codigo_Id == 0) {
            
        } else {

        }

    });

    $('#dCodFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
</script>