<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Especie de Árbol
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Especie de Árbol</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Especie de Árboles</h3>

                    <div class="row">
                        <!-- <div class="col-md-8" style="margin-top: 15px; ">
                            <form action="?c=FamiliaArbol&a=Index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>

                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                                </div>
                            </form>
                        </div> -->
                        <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                            <div class="col-md-12 xtext-right" style="margin-top: 15px;"><br>
                                <a class="btn btn-primary btn-flat" onclick="FrmGuardarFamiliaArbol();"><i class="fa fa-plus-circle"></i> Nueva Especie de Árbol</a>
                            </div>
                        <?php } ?>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <!-- <th>Fecha</th> -->
								<th>Nombre</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach ($familiaarbol as $r) {
                            ?>
                                <tr>
                                    <!-- <td><?php echo $r->__GET('dFAFecha'); ?></td> -->
									<td><?php echo $r->__GET('sFANombre'); ?></td>
                                    <td>
                                        <?php
										if ($r->__get('nFAEstado') == '0') {
											echo '<span class="label label-danger">DESHABILITADO</span>';
										}else if ($r->__get('nFAEstado') == '1') {
											echo '<span class="label label-success">HABILITADO</span>';
										}
										?>
                                    </td>
                                    <td>
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="MostrarFamiliaArbol('<?php echo $r->__GET('FamiliaArbol_Id'); ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>
										<a href="#" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarFamiliaArbol('<?php echo $r->__GET('FamiliaArbol_Id'); ?>');"><i class="fa fa-pencil"></i></a>
										<?php if ($this->seguridad->validRoleName(RolesType::admin) or $this->seguridad->validRoleName(RolesType::admin2)) { ?>
                                            <a href="#" class="btn btn-danger btn-flat btn-xs <?php echo $r->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('FamiliaArbol_Id'); ?>"><i class="fa fa-trash-o"></i></a>
                                        <?php } ?>
										<!-- <a class="btn btn-warning btn-flat btn-xs" href="?c=FamiliaArbol&a=ImprimibleFamiliaArbol&FamiliaArbol_Id=<?php echo $r->__GET('FamiliaArbol_Id'); ?>" target="_blank"><i class="fa fa-print" aria-hidden="true"></i></a> -->
                                    </td>


                                </tr>
                            <?php
                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <!-- <th>Fecha</th> -->
								<th>Nombre</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=FamiliaArbol&a=PDFMovimiento" method="POST">
                                    <!--  <form method="POST"> -->

                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Especie de Árbol</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="PDFContrato_Id" id="PDFContrato_Id" value="">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=FamiliaArbol&a=EliminarFamiliaArbol" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar Especie de Árbol</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="FamiliaArbol_Id" id="FamiliaArbol_Id" value="">
                                        ¿Estás seguro que desea eliminar la Especie de Árbol?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button type="submit" class="btn btn-danger btn-flat">Si, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesFamiliaArbol.js"></script>
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "aaSorting": [[ 0, "desc" ]],
            "language": {
                "search": "Buscar",
                "lengthMenu": "Visualizar _MENU_ registro por página",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            }
        });
    });

    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#FamiliaArbol_Id").val(recipient);

    });
</script>