<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Facturación
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Facturación</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12">
            <form id="frm-generar-comprobante" action="#" method="POST">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Facturación electronica</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <input type="hidden" id="Movimiento_Id" name="Movimiento_Id" value="0">
                                    <div class="col-md-4 form-group">
                                        <label>Fecha</label>
                                        <input type="text" placeholder="Fecha" class="form-control" id="dMovFecha" name="dMovFecha" value="<?php echo date('d-m-Y'); ?>">
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <label>Tipo de movimiento</label>
                                        <select class="form-control" id="Tipomovimiento_Id" name="Tipomovimiento_Id">
                                            <?php foreach ($tipomovimientos as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>">
                                                    <?php echo $timo->__GET('sTMovNombre'); ?>
                                                </option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <label>Tipo de pago</label>
                                        <select class="form-control" id="nMovTipopago" name="nMovTipopago">
                                            <option value="1" selected>Contado</option>
                                            <option value="2">Credito</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-3 form-group">
                                        <label>Destino</label>
                                        <select class="form-control" id="nMovTipodestino" name="nMovTipodestino">
                                            <option value="1">Bienes</option>
                                            <option value="2">Servicios</option>
                                        </select>
                                    </div>
                                    <div class="col-md-3 form-group">
                                        <label>Almacen</label>
                                        <select class="form-control" id="Almacen_Id" name="Almacen_Id">
                                            <?php foreach ($almacen as $alm) { ?>
                                                <option value="<?php echo $alm->__GET('Almacen_Id'); ?>">
                                                    <?php echo $alm->__GET('sAlmNombre'); ?>
                                                </option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <label>Documento</label>

                                        <select class="form-control" name="Documento_Id" id="Documento_Id" disabled>
                                            <option value="">Seleccionar documento</option>

                                        </select>
                                        
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-4 form-group">
                                        <label>Documento referencia</label>
                                        <input type="text" placeholder="Documento referencia" class="form-control" id="sMovDocReferencia" name="sMovDocReferencia">
                                    </div>
                                    <div class="col-md-4 form-group" id="moneda_contendor">
                                        <label>Moneda</label>
                                        <select class="form-control" id="Moneda_Id" name="Moneda_Id" onchange="onChangeMoneda()">
                                            <option value="1">Soles</option>
                                            <option value="2">Dolares</option>
                                        </select>
                                    </div>
                                    <div class="col-md-2 form-group" id="TipoCambio" style="display: none;">
                                        <label>Tipo de cambio</label>
                                        <input type="text" class="form-control" name="nMovTipoCambio" id="nMovTipoCambio" value="1" />
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <label>Vendedor</label>
                                        <!-- <select class="form-control selectpicker" id="nMovVendedor_Id" name="nMovVendedor_Id">
                                            <option value="">- seleccionar -</option>
                                            <?php foreach ($vendedores as $item) : ?>
                                                <option value="<?php echo $item->vendedor_id; ?>">
                                                    <?php echo $item->sVenNom; ?>
                                                </option>
                                            <?php endforeach ?>
                                        </select> -->
                                        <select class="form-control" name="nMovVendedor_Id" id="nMovVendedor_Id">
                                            <?php foreach ($vendedores as $doc) { ?>
                                                <option value="<?= $doc->__GET('vendedor_id') ?>" <?= isset($r) ? $r->__GET('vendedor_id') == $doc->__GET('vendedor_id') ? 'selected' : '' : '' ?>>
                                                    <?= $doc->__GET('sVenNom') ?>
                                                </option>

                                            <?php } ?>
                                        </select>
                                        <label id="nMovVendedor_Id-error" class="error help-block" for="nMovVendedor_Id" style="display: none;">El campo es requerido</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6 form-group">
                                        <label>Productos / Servicios</label>
                                        <select class="form-control selectpicker" data-live-search="true" id="ProdServ_Id" name="ProdServ_Id">
                                            <option value="">- seleccionar -</option>
                                            <?php foreach ($productos as $item) : ?>
                                                <option data-unidadmedida="<?php echo $item->__GET('nProSrvUnidad_Id'); ?>" data-exonerado="<?php echo $item->__GET('nProSrvExoneradoIGV'); ?>" value="<?php echo $item->__GET('ProdServ_Id'); ?>">
                                                    <?php echo $item->__GET('sProSrvNombre'); ?>
                                                </option>
                                            <?php endforeach ?>
                                        </select>
                                        <label id="ProdServ_Id-error" class="error help-block" for="ProdServ_Id" style="display: none;">El campo es requerido</label>
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <label>Archivo de importaci&oacute;n</label>
                                        <input type="file" class="form-control" name="file-excel" id="file-excel" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div style="width: 100%; max-height: 400px; overflow: auto; position: relative; margin-bottom: 15px;">
                                    <table class="table table-striped table-bordered" id="table-list-comprobantes">
                                        <thead>
                                            <tr>
                                                <th style="position: sticky; top: -1px; background-color: #fff;">NRO</th>
                                                <th style="position: sticky; top: -1px; background-color: #fff;">RUC_DNI</th>
                                                <th style="position: sticky; top: -1px; background-color: #fff;">NOMBRE</th>
                                                <th style="position: sticky; top: -1px; background-color: #fff;">OBSERVACION</th>
                                                <th style="position: sticky; top: -1px; background-color: #fff;">TOTAL</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="5" class="text-center">SIN INFORMACIÓN POR MOSTRAR</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="col-md-12 text-right">
                                <button type="button" class="btn btn-primary" id="btn-generar">GENERAR</button>
                                <button type="button" class="btn btn-primary" id="btn-cancelar">CANCELAR</button>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->
            </form>
        </div>
    </div>
</section>
<script type="text/javascript">
    function onChangeMoneda() {
        var moneda = $("#Moneda_Id").val();
        if (moneda === "2") {
            $("#TipoCambio").show();
            $("#moneda_contendor").removeClass("col-md-4");
            $("#moneda_contendor").addClass("col-md-2");
            $("#nMovTipoCambio").val("")
        } else {
            $("#TipoCambio").hide();
            $("#nMovTipoCambio").val("1")
            $("#moneda_contendor").removeClass("col-md-2");
            $("#moneda_contendor").addClass("col-md-4");
        }
    }

    function setTipoDocumento(val) {
        var doc = $('#Documento_Id');
        var ref = doc.html().trim();
        var ref_compare = '<option value="">Seleccionar documento</option>';
        //console.log(ref);
        if (ref == ref_compare) {
            setTimeout(function() {
                setTipoDocumento(val);
            }, 100)
            return;
        }
        $('#Documento_Id').val(val);
        $('#Documento_Id').change();
    }

    function loadPameters() {
        <?php
        if (!isset($r)) {
            $tipomovimiento = null;
            $bienes = null;
            $observacion = null;
            $tipopago = null;
            $tipodocumento = null;
            $tipodocafecto= null;
            foreach ($parametro as $r) {
                if ($r->__GET('Parametro_Id') == 3) {
                    $tipomovimiento = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 4) {
                    $bienes = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 5) {
                    $observacion = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 7) {
                    $tipopago = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 8) {
                    $tipodocumento = $r->__GET('sParValor');
                }
            }
        
            if ($bienes) {
                $bienes = explode('|', $bienes); ?>
                $('#nMovTipodestino').val(<?php echo $bienes[1]; ?>);
            <?php
            }
            if ($tipomovimiento) {
                $tipomovimiento = explode('|', $tipomovimiento); ?>
                $('#Tipomovimiento_Id').val(<?php echo $tipomovimiento[1]; ?>);
            <?php
            }
            if ($observacion) { ?>
                // $('#sMovObservacion').val('<?php echo $observacion; ?>');
            <?php
            }
            if ($tipopago) {
                $tipopago = explode('|', $tipopago); ?>
                $('#nMovTipopago').val(<?php echo $tipopago[1]; ?>);
            <?php
            }
          
            if ($tipodocumento) {
                $tipodocumento = explode('|', $tipodocumento); ?>
                $('#Documento_Id').val(<?php echo $tipodocafecto[1]; ?>);
                setTipoDocumento(<?php echo $tipodocumento[1];  ?>);
        <?php
            }
        }
        ?>
        $('#Tipomovimiento_Id').change();
        $('#nMovTipopago').change();
    }
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesGenerarcomprobante.js"></script>