
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
    Guia de remisión
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión</a></li>
    </ol>
</section>        
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <form id="frmprevisualizar" method="POST" action="#">
                <input type="hidden" id="Guiaremision_Id" name="Guiaremision_Id" value="<?php echo $guiaremision['Guiaremision_Id']; ?>">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Visualizar de guia de remisión</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body" style="padding: 15px 25px;">
                        <div class="row">
                            <div class="col-md-12">
                                <div id="resultado"></div>
                            </div>
                            <div class="col-md-6">
                                <label>DATOS DE INICIO DEL TRASLADO</label>
                                <div class="row">                                    
                                    <div class="col-md-12">
                                        <table class="table table-bordered table-striped">
                                            <tr>
                                                <th>Fecha de Emisión</th>
                                                <td><?php echo date('d-m-Y', strtotime($guiaremision['dTraFecha'])); ?></td>
                                            </tr>
                                            <tr>
                                                <th>Fecha de Inicio del traslado</th>
                                                <td><?php echo date('d-m-Y', strtotime($guiaremision['dTraFechaTraslado'])); ?></td>
                                            </tr>
                                            <tr>
                                                <th>Motivo de traslado</th>
                                                <td><?php echo $guiaremision['sTraMotivoTraslado']; ?></td>
                                            </tr>
                                            <tr>
                                                <th>Modalidad de transporte</th>
                                                <td><?php echo $guiaremision['sTraDescripcionModalidadTraslado']; ?></td>
                                            </tr>
                                            <tr>
                                                <th>Peso Bruto Total de la Guia (KGM)</th>
                                                <td><?php echo $guiaremision['nTraPesoBrutoGuiaTraslado']; ?></td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>DATOS DEL DESTINATARIO</label>
                                        <div class="row">                                    
                                            <div class="col-md-12">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th>Apellidos y Nombres, denominación o razón</th>
                                                        <td><?php echo $guiaremision['sCliente']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Documento de identidad</th>
                                                        <td><?php echo $guiaremision['sCliNroIdentidad']; ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label>DATOS DEL TRANSPORTISTA</label>
                                        <div class="row">                                    
                                            <div class="col-md-12">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th>Apellidos y Nombres, denominación o razón</th>
                                                        <td><?php echo $guiaremision['sTraNombreTransportistaTraslado']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Número de RUC</th>
                                                        <td><?php echo $guiaremision['sTraRUCTransportistaTraslado']; ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <label>DATOS DEL PUNTO DE PARTIDA Y PUNTO DE LLEGADA</label>
                                <table class="table table-bordered">
                                    <tr>
                                        <th>Dirección del punto de partida</th>
                                        <td><?php echo $guiaremision['sTraDireccionPuntoPartidaTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Dirección del punto de Llegada</th>
                                        <td><?php echo $guiaremision['sTraDireccionPuntoLlegadaTraslado']; ?></td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-12">
                                <label>DATOS DE LOS BIENES</label>
                                <table class="table table-bordered table-striped">
                                    <thead>
                                        <tr>
                                            <th>Nro</th>
                                            <th>Cod. Bien</th>
                                            <th>Descripción</th>
                                            <th>Unidad de medida</th>
                                            <th>Cantidad</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php 
                                        $i = 0;
                                        foreach ($this->guiaremisiondetalle_model->Buscar($_REQUEST['code']) as $item) { 
                                            $i++;
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo $item['Guiaremisiondetalle_Id']; ?></td>
                                            <td><?php echo $item['sProNombre']; ?></td>
                                            <td><?php echo $item['sUMeCodigoSunat']; ?></td>
                                            <td><?php echo $item['nTDeCantidad']; ?></td>
                                        </tr>
                                        <?php 
                                        } 
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-12">
                                <label>Observaciones</label>
                                <p>
                                    <?php echo $guiaremision['sTraDireccionPuntoLlegadaTraslado']; ?>
                                </p>
                            </div>
                            <div class="col-md-6">
                                <label>DATOS DE LOS VEHICULOS</label>
                                <table class="table table-bordered table-striped">
                                    <tr>
                                        <th>Número de placa</th>
                                        <td><?php echo $guiaremision['sTraPlacaVehiculoTraslado']; ?></td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-6">
                                <label>DATOS DEL CONDUCTOR</label>
                                <table class="table table-bordered table-striped">
                                    <tr>
                                        <th>DNI</th>
                                        <td><?php echo $guiaremision['sTraDNIConductorTraslado']; ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">Enviar comprobante</button>
                        <a href="?c=Guiaremision&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </div><!-- /.box -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript">
    $(function() {
        $("#frmprevisualizar").submit((e) => {
            e.preventDefault();
            $.post('?c=Guiaremision&a=Enviarcomprobante', {
                Guiaremision_Id: $("#Guiaremision_Id").val()
            }, (data) => {
                $("#resultado").html(data);
            });
        })
    });
</script>