
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Movimientos Detallados
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="?"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Movimientos Detallados</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">Relación de movimientos detallados Venta / Compra</h3>
                            <div class="row">
                                <div class="col-md-8" style="margin-top: 15px;">    
                                    <form action="?c=Reportes&a=Movimientos" method="POST">
                                        <div class="row">
                                            <div class="col-md-3">
                                                Fecha Inicio <br/>
                                                <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                            </div>
                                            <div class="col-md-3">
                                                Fecha Fin <br/>
                                                <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                            </div>
                                            <div class="col-md-3">
                                                Tipo de movimiento<br>
                                                <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                                <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                                <?php } ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3">
                                                <br>
                                                <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                                <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                            </div>                                          
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-hover display responsive no-wrap">
                                <thead>
                                    <tr>
                                        <th>Número</th>
                                        <th>Fecha</th>
                                        <th>Hora</th>
                                        <th>RUC</th>
                                        <th>Cliente</th>
                                        <th>Ubigeo</th>
                                        <th>Tipo Pago</th>
                                        <th>Código</th>
                                        <th>Servicio</th>
                                        <th>Cantidad</th>
                                        <th>Unidad</th>
                                        <th>Precio</th>
                                        <th>Total</th>
                                        <th>Observación</th>
                                        <th>Vendedor</th>
                                        <th>Login</th>
                                        <th>Estado</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($reportes as $r) : ?>                    
                                        <tr> 
                                            <td><a href="#" data-toggle="modal" data-target="#movimiento-detallado" onclick="MostrarMovimientoReporte(<?php echo $r->movimiento_Id; ?>)"><?php echo $r->Numero; ?></a></td>
                                            <td><?php echo $r->Fecha; ?></td>
                                            <td><?php echo $r->Hora; ?></td>
                                            <td><?php echo $r->RUC; ?></td>
                                            <td><?php echo $r->Cliente; ?></td>
                                            <td><?php echo $r->Ubigeo; ?></td>
                                            <td><?php echo $r->TipoPago; ?></td>
                                            <td><?php echo $r->Codigo; ?></td>
                                            <td><?php echo $r->Servicio; ?></td>
                                            <td><?php echo $r->Cantidad; ?></td>
                                            <td><?php echo $r->Unidad; ?></td>
                                            <td><?php echo $r->Precio; ?></td>
                                            <td><?php echo $r->Total; ?></td>
                                            <td><?php echo $r->Observación; ?></td>
                                            <td><?php echo $r->Vendedor; ?></td>
                                            <td><?php echo $r->Login; ?></td>
                                            <td>
                                            <?php 
                                            if ($r->nMovEstado == 1) {
                                                echo "REGISTRADO";
                                            } else if ($r->nMovEstado == 2) {
                                                echo "PAGADA";
                                            }
                                            ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Número</th>
                                        <th>Fecha</th>
                                        <th>Hora</th>
                                        <th>RUC</th>
                                        <th>Cliente</th>
                                        <th>Ubigeo</th>
                                        <th>Tipo Pago</th>
                                        <th>Código</th>
                                        <th>Servicio</th>
                                        <th>Cantidad</th>
                                        <th>Unidad</th>
                                        <th>Precio</th>
                                        <th>Total</th>
                                        <th>Observación</th>
                                        <th>Vendedor</th>
                                        <th>Login</th>
                                        <th>Estado</th>
                                    </tr>
                                </tfoot>
                            </table>

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        
        <!-- Modal modeal-ver -->
        <div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                            <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table table-striped" id="ver_datos">

                            </table>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /Modal modal-ver -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesReporteExcel.js"></script>
        <script type="text/javascript">

            function MostrarMovimientoReporte(Movimiento_Id) {
                $.post('?c=Movimiento&a=MostrarMovimiento', {
                    Movimiento_Id: Movimiento_Id
                }, function (data) {
                    $("#ver_datos").html(data);
                });
            }

            $(document).ready(function () {
            	reportes_excel.Nombre('Movimiento Detallado');
            	reportes_excel.datepicker('fechainicio');
            	reportes_excel.datepicker('fechafin');
                reportes_excel.TableData("example1");
                reportes_excel.Excel();
            });
        </script>
