<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Registro Ventas
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">RV</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de movimientos</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=RegVentas" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <?php
                                    $fecha_separada = explode("-", $fechaIni); ?>
                                    <input id="fecha_separada" type="hidden" data-month=<?php echo $fecha_separada[1]; ?> data-year=<?php echo $fecha_separada[2]; ?>>

                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <?php $empresa = $_SESSION['usu_enterprise'];

                                    $code = '';
                                    switch ($empresa) {
                                        case '8800fc75-a95d-11e8-ad6e-54a050032591':
                                            $code = 1;
                                            break;
                                        case 'a65e53c7-aa70-11e8-8f5a-0cc47abb9604':
                                            $code = 2;
                                            break;
                                        case 'D7BC4CED-3509-4830-93D6-D8CF55B350D4':
                                            $code = 3;
                                            break;
                                    }

                                    ?>
                                    <input id="code" type="hidden" value="<?php echo $code ?>">

                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Serie</th>
                                <th>Número</th>
                                <th>Fecha</th>
                                <th>Ruc / DNI</th>
                                <th>Moneda</th>
                                <th>Base Soles</th>
                                <th>IGV Soles</th>
                                <th>Total Soles</th>
                                <th>Base Dólar</th>
                                <th>IGV Dólar</th>
                                <th>Total Dólar</th>
                                <th>Observaciones</th>
                                <th>Cuenta Base 1</th>
                                <th>Cuenta Base 2</th>
                                <th>Cuenta IGV</th>
                                <th>Cuenta Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->Serie; ?></td>
                                    <td><?php echo $r->Numero; ?></td>
                                    <td><?php echo $r->Fecha; ?></td>
                                    <td><?php echo $r->NroDocumento; ?></td>
                                    <td><?php echo $r->Moneda; ?></td>
                                    <td><?php echo $r->BaseSoles; ?></td>
                                    <td><?php echo $r->IGVSoles; ?></td>
                                    <td><?php echo $r->TotalSoles; ?></td>
                                    <td><?php echo $r->BaseDolar; ?></td>
                                    <td><?php echo $r->IGVDolar; ?></td>
                                    <td><?php echo $r->TotalDolar; ?></td>
                                    <td><?php echo $r->Observaciones; ?></td>
                                    <td><?php echo $r->CuentaBase1; ?></td>
                                    <td><?php echo $r->CuentaBase2; ?></td>
                                    <td><?php echo $r->CuentaIGV; ?></td>
                                    <td><?php echo $r->CuentaTotal; ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Serie</th>
                                <th>Número</th>
                                <th>Fecha</th>
                                <th>Ruc / DNI</th>
                                <th>Moneda</th>
                                <th>Base Soles</th>
                                <th>IGV Soles</th>
                                <th>Total Soles</th>
                                <th>Base Dólar</th>
                                <th>IGV Dólar</th>
                                <th>Total Dólar</th>
                                <th>Observaciones</th>
                                <th>Cuenta Base 1</th>
                                <th>Cuenta Base 2</th>
                                <th>Cuenta IGV</th>
                                <th>Cuenta Total</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesRegVentas.js"></script>
<script>
    $('#fechaIni').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
</script>