<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Registro Ventas
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">RV</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de movimientos</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=RegVentasCeramicorp" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <?php
                                    $fecha_separada = explode("-", $fechaIni); ?>
                                    <input id="fecha_separada" type="hidden" data-month=<?php echo $fecha_separada[1]; ?> data-year=<?php echo $fecha_separada[2]; ?>>

                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>



                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Número</th>
                                <th>Periodo</th>
                                <th>Fecha Emisión</th>
                                <th>Tipo Tabla 10</th>
                                <th>Serie</th>
                                <th>Correlativo</th>
                                <th>Tipo Tabla 2</th>
                                <th>Documento Cliente</th>
                                <th>Nombre</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Estado Sunat</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->Numero; ?></td>
                                    <td><?php echo $r->Periodo; ?></td>
                                    <td><?php echo $r->FecEmision; ?></td>
                                    <td><?php echo $r->TipoTabla10; ?></td>
                                    <td><?php echo $r->Serie; ?></td>
                                    <td><?php echo $r->Correlativo; ?></td>
                                    <td><?php echo $r->TipoTabla2; ?></td>
                                    <td><?php echo $r->DocCliente; ?></td>
                                    <td><?php echo $r->Nombre; ?></td>
                                    <td><?php echo $r->Importe; ?></td>
                                    <td><?php echo $r->IGV; ?></td>
                                    <td><?php echo $r->Total; ?></td>
                                    <td><?php echo $r->EstadoSunat; ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Número</th>
                                <th>Periodo</th>
                                <th>Fecha Emisión</th>
                                <th>Tipo Tabla 10</th>
                                <th>Serie</th>
                                <th>Correlativo</th>
                                <th>Tipo Tabla 2</th>
                                <th>Documento Cliente</th>
                                <th>Nombre</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Estado Sunat</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesStock.js"></script>
<script>
    $('#fechaIni').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
</script>