<?php

class MetodosController
{
    public function NombreCortoDocumento($Documento_Id)
    {
        foreach ($this->documento_model->Buscar($Documento_Id) as $d) {
            return $d->__GET('sDocNombreCorto');
        }
    }
    public function NombreUnidadMedida($Documento_Id)
    {
        foreach ($this->documento_model->Buscar($Documento_Id) as $d) {
            return $d->__GET('sDocNombreCorto');
        }
    }
    public function NombreSunatUnidadMedida($UnidadMedida_Id)
    {
        foreach ($this->unidadmedida_model->Buscar($UnidadMedida_Id) as $uni) {
            return $uni->__GET('sUndCodeSunat');
        }
    }
    public function NombreUnidadMedidaProducto($UnidadMedida_Id)
    {
        foreach ($this->unidadmedida_model->Buscar($UnidadMedida_Id) as $uni) {
            return $uni->__GET('sUndDescripcion');
        }
    }
    public function NombreProdServ($ProdServ_Id)
    {
        foreach ($this->prodserv_model->Buscar($ProdServ_Id) as $pro) {
            return $pro->__GET('sProSrvNombre');
        }
    }
    public function VerificarPadre($UnidadMedida_Id)
    {
        $estado = false;
        foreach ($this->unidadmedida_model->Listar() as $uni) {
            if ($uni->__GET('nUndPadre_Id') == $UnidadMedida_Id) {
                return true;
            }
        }
        if ($estado == false) {
            return false;
        }
    }
    public function NombreClienteProveedor($OrigenDestino_Id)
    {
        foreach ($this->origendestino_model->Buscar($OrigenDestino_Id) as $ori) {
            return $ori->__GET('sODNombreComercial');
        }
    }
    public function DireccionClienteProveedor($OrigenDestino_Id)
    {
        foreach ($this->origendestino_model->Buscar($OrigenDestino_Id) as $pro) {
            return $pro->__GET('sODDireccion');
        }
    }
    public function RucDniClienteProveedor($OrigenDestino_Id)
    {
        foreach ($this->origendestino_model->Buscar($OrigenDestino_Id) as $pro) {
            return $pro->__GET('sODRucDni');
        }
    }
    public function UbigeoNombreClienteProveedor($OrigenDestino_Id)
    {
        foreach ($this->origendestino_model->Buscar($OrigenDestino_Id) as $pro) {
            return ($pro->__GET('nProcliDepName') ? $pro->__GET('nProcliDepName') . ' ' : '') . ($pro->__GET('nProcliProvName') ? $pro->__GET('nProcliProvName') . ' ' : '') . ($pro->__GET('nProcliDistName') ? $pro->__GET('nProcliDistName') : '');
        }
    }
    public function UbigeoCodigoClienteProveedor($OrigenDestino_Id)
    {
        foreach ($this->origendestino_model->Buscar($OrigenDestino_Id) as $pro) {
            return ($pro->__GET('nProcliDepId') ? $pro->__GET('nProcliDepId') : '') . ($pro->__GET('nProcliProvId') ? $pro->__GET('nProcliProvId') : '') . ($pro->__GET('nProcliDistId') ? $pro->__GET('nProcliDistId') : '');
        }
    }
    public function FechaActual()
    {
        echo date('d-m-Y');
    }
    public function PrecioProducto()
    {
        $precio = 0;
        $producto = $this->precioventa_model->Precio($_POST['ProdServ_Id'], $_POST['Unidadmedida_Id']);
        foreach ($producto as $r) {
            $precio = $r->__GET('PreVenPrecio');
        }
        echo $precio;
    }
    public function PrecioProductoVenta($ProdServ_Id, $Unidadmedida_Id)
    {
        $precio = 0;
        $producto = $this->precioventa_model->Precio($ProdServ_Id, $Unidadmedida_Id);
        foreach ($producto as $r) {
            return $precio = $r->__GET('PreVenPrecio');
        }
    }
    public function AutomaticoSINO()
    {
        $documento = $this->documento_model->Buscar($_POST['Documento_Id'] != "" ? $_POST['Documento_Id'] : "-1");
        if (count($documento) > 0) {
            foreach ($documento as $d) {
                if ($d->__GET('nDocNomAutomatico') == 1) {
                    echo '<script type="text/javascript">$("#sMovDocumento").prop("disabled",true);</script>';
                } else {
                    echo '<script type="text/javascript">$("#sMovDocumento").prop("disabled",false);</script>';
                }
            }
        }
    }
    public function ObtenerNumeroDocumento($Documento_Id)
    {
        $documento = $this->documento_model->Buscar($Documento_Id);
        foreach ($documento as $d) {
            return $d->__GET('sDocSiguiente');
        }
    }
    public function IdProductoLote($ProductoLote_Id)
    {
        foreach ($this->productolote_model->Buscar($ProductoLote_Id) as $prolot) {
            return $prolot->__GET('ProdServ_Id');
        }
    }
    public function NombreProductoLote($ProductoLote_Id)
    {
        foreach ($this->productolote_model->Buscar($ProductoLote_Id) as $prolot) {
            return $prolot->__GET('sProLNombreLote');
        }
    }
    public function FechaVencimiento($ProductoLote_Id)
    {
        $producto_lote = $this->productolote_model->Buscar($ProductoLote_Id);
        foreach ($producto_lote as $prolot) :
            return $prolot->__GET('dProLFechaVencimiento');
        endforeach;
    }
    public function view($view, $data = [])
    {
        require_once 'view/' . $view . '.php';
    }
    public function model($model)
    {
        require_once 'model/' . $model . '.model.php';
        require_once 'model/' . $model . '.entidad.php';
        $model = $model . 'Model';
        return new $model;
    }
    public function Message($type, $titulo, $message)
    {
        $html = '';
        $html += '<div class="alert alert-' . $type . ' alert-dismissible" role="alert">';
        $html += '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
        $html += '<strong>' . $titulo . '</strong>' . $message;
        $html += '</div>';
        return $html;
    }
    public function addLogs($type, $message)
    {
        $name_file = "logs/HORMIGUITA.LOG." . date('dmY') . ".txt";
        if (file_exists($name_file)) {
            $this->writeFile($name_file, $type, $message);
        } else {
            $this->writeFile($name_file, $type, $message);
        }
    }
    public function writeFile($filename, $type, $message)
    {
        if ($archivo = fopen($filename, "a")) {
            fwrite($archivo, "[" . $type . " - " . $_SESSION['usu_enterpriseRuc'] . "]: " . date("d-m-Y H:m:s") . " " . $message . "\r\n");
            fclose($archivo);
        }
    }

    public function calcularBase($nIncluye, $nExcepcionIGV, $nPrecio, $nCantidad, $nIGV, $nDocAfectoIGV)
    {
        //nIGV = Math.Round(ImpuestoNeg.Instance.ObtenerValorImpuesto(IGV_Id) / 100, 2);
        $nValorIGV = 0;
        $nValorBase = 0;
        $nValorTotal = 0;
        $newnPrecio = $nDocAfectoIGV == 1 ? $nPrecio : $nPrecio / 1.18;
        if ($nExcepcionIGV == 2) {
            $newnPrecio = $nPrecio;
        }
        if ($nIncluye == 1 && $nExcepcionIGV == 1) { //Incluye IGV: SI
            $nValorIGV = floatval(((($newnPrecio * $nCantidad) * ($nIGV * 100)) / (100 + ($nIGV * 100))));
            $nValorBase = floatval((($newnPrecio * $nCantidad) - ($nValorIGV)));
            $nValorTotal = floatval(($newnPrecio * $nCantidad));
        } else if ($nIncluye == 2 && $nExcepcionIGV == 1) { //Incluye IGV: NO
            $nValorIGV = floatval(((($newnPrecio * $nCantidad) * $nIGV)));
            $nValorBase = floatval(($newnPrecio * $nCantidad));
            $nValorTotal = floatval((($newnPrecio * $nCantidad) + ($nValorIGV)));
        } else {
            $nValorIGV = floatval("0.00");
            $nValorBase = floatval((($newnPrecio * $nCantidad) - ($nValorIGV)));
            $nValorTotal = floatval(($newnPrecio * $nCantidad));
        }

        return [
            'nValorIGV' => number_format($nValorIGV, 2, '.', ''),
            'nValorBase' => number_format($nValorBase, 2, '.', ''),
            'nValorTotal' => number_format($nValorTotal, 2, '.', ''),
            'nValorPrecio' => number_format($newnPrecio, 2, '.', '')
        ];
    }
}
