<?php    
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    require_once 'model/personal.model.php';
    require_once 'model/personal.entidad.php';
    class PersonalController extends MetodosController {
        private $parametro_model;
        private $personal_model;
        public function __CONSTRUCT(){
            $this->parametro_model = new ParametroModel();
            $this->personal_model = new PersonalModel();
        }
        
        public function Index(){
            $parametro = $this->parametro_model->ListarParametros();
            $personal = $this->personal_model->Listar();
            require_once 'view/header.php';  
            require_once 'view/webforms/wfapersonal.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }
        public function FrmGuardarPersonal(){
            $parametro = $this->parametro_model->ListarParametros();
            require_once 'view/webforms/wfapersonala.php'; 
        }
        public function GuardarPersonal(){
            $ven = new Personal();
            if($_POST['Personal_Id'] != 0 ? $ven->__SET('Personal_Id', $_POST['Personal_Id']) : '');
            $ven->__SET('sPerDNI', $_POST['sPerDNI']);
            $ven->__SET('sPerNombres', strtoupper($_POST['sPerNombres']));
            $ven->__SET('sPerApePaterno', strtoupper($_POST['sPerApePaterno']));
            $ven->__SET('sPerApeMaterno', strtoupper($_POST['sPerApeMaterno']));
            $ven->__SET('sPerCargo', strtoupper($_POST['sPerCargo']));
            $ven->__SET('nPerEstado', strtoupper($_POST['nPerEstado']));
            $ven->__SET('nPerEliminado', 0);
            $ven->__SET('nPerUsuario_Id', strtoupper($_SESSION['usu_codigo']));
            if($_POST['Personal_Id'] != 0 ? $this->personal_model->Editar($ven) : $this->personal_model->Guardar($ven));
        }
//        
        public function FrmEditarPersonal(){
            $datos = $this->personal_model->Buscar($_POST['Personal_Id']);
            foreach ($datos as $r):
                require_once 'view/webforms/wfapersonala.php';            
            endforeach;       
        }
        public function getPersonal($Personal_Id){
            $datos= $this->personal_model->Buscar($Personal_Id);
            foreach ($datos as $r):
                echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='IdPersonal_Print' id='IdPersonal_Print' value='".$r->__GET('Personal_Id')."'> 
                                DNI
                             </td>
                             <td>".$r->__GET('sPerDNI')."</td>
                          </tr>
                          <tr>
                             <td>Nombres</td>
                             <td>".$r->__GET('sPerNombres')."</td>
                          </tr>  
                          <tr>
                             <td>Apellido paterno</td>
                             <td>".$r->__GET('sPerApePaterno')."</td>
                          </tr>  
                          <tr>
                             <td>Apellido materno</td>
                             <td>".$r->__GET('sPerApeMaterno')."</td>
                          </tr> 
                          <tr>
                             <td>Cargo</td>
                             <td>".$r->__GET('sPerCargo')."</td>
                          </tr>
                          <tr>
                             <td>Estado</td>
                             <td>".($r->__GET('nPerEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                          </tr>
                       </tbody>
                     ";
            endforeach;
        }
        public function MostrarPersonal(){
            echo $this->getPersonal($_POST['Personal_Id']);
        }
        public function EliminarPersonal(){
            $ven = new Personal();
            $ven->__SET('Personal_Id', $_POST['idPersonal']);
            $this->personal_model->Eliminar($ven);
            echo '<script type="text/javascript">window.location="?c=Personal&a=Index";</script>';
            
        }
        public function PDFPersonal(){
            require_once 'view/webforms/PDF/personal.php';
        }
    }
?>