<?php
class DataBase
{
    public static function ObtenerConexion()
    {
        $cn = new Seguridad();
        $conexion = $cn->Conexion();
        
        //PDO::ATTR_PERSISTENT => true //esto en la linea 13
        
        return new PDO(
            'mysql:host=' . $conexion['server'] . ';dbname=' . $conexion['db'],
            $conexion['usuario'],
            $conexion['pass'],
            array(
                PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES \'UTF8\''
            )
        );
    }
    public static function cnn()
    {
        $cn = new Seguridad();
        $conexion = $cn->Conexion();
        return new MysqliDb(array(
            'host' => $conexion['server'],
            'username' => $conexion['usuario'],
            'password' => $conexion['pass'],
            'db' => $conexion['db'],
            'port' => 3306,
            'prefix' => '',
            'charset' => 'utf8'
        ));
    }
}
