<?php

class GuiaremisiondetalleModel extends DataBase
{
    private $conexion;
    private $table = 'guiaremisiondetalle';
    function __CONSTRUCT()
    {
        $this->conexion = $this->cnn();
    }

    public function Listar()
    {
        return $this->conexion->arraybuilder()->get($this->table);
    }

    public function Buscar($id)
    {
        // $this->conexion->where("Guiaremision_Id", $id);
        // return $this->conexion->get($this->table);
        $this->conexion->join("prodserv ps", "gr.Producto_Id=ps.ProdServ_Id", "INNER");
        $this->conexion->where("Guiaremision_Id", $id);
        return $this->conexion->get("$this->table gr", null, "gr.*, ps.sProSrvCodigo");
    }

    public function Crear($data)
    {
        return $this->conexion->insert($this->table, $data);
    }

    public function Update($id, $data)
    {
        $this->conexion->where('Guiaremisiondetalle_Id', $id);
        $this->conexion->update($this->table, $data);
    }

    public function Delete($id)
    {
        $this->conexion->where('Guiaremision_Id', $id);
        $this->conexion->delete($this->table);
    }
}
