/**
 * VARIABLES
 */
var DATA = [];

/**
 * Listar tipo de documento y obtener 
 * numero de documento que corresponde
 * @param {*} Tipomovimiento_Id 
 */
function TipoDocumento(Tipomovimiento_Id) {
    $.post('?c=Tipodocumento&a=ListarConbobox', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        $("#Documento_Id").attr('disabled', false);
        // // NumeroDocumento();
    });
}

// // /**
// //  * Obtener numero de documento por Documento_Id
// //  */
// // function NumeroDocumento() {
// //     var Documento_Id = document.getElementById('Documento_Id').value;
// //     $.post('?c=Tipodocumento&a=NumeroDocumento', {
// //         Documento_Id: Documento_Id
// //     }, function (data) {
// //         document.getElementById("sMovDocumento").value = parseInt(data);
// //         // AutomaticoSINO(Documento_Id);
// //         // CalcularImpTotIGV();
// //     });
// // }

/**
 * Listar informaciòn en base al tipo de movimiento
 * - tipo de documento
 * - habilitar select documento
 */
// function Tipomovimiento() {
//     var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
//     $.post('?c=Movimiento&a=TipoMovimiento', {
//         Tipomovimiento_Id: Tipomovimiento_Id
//     }, function (data) {
// $("#FrmTipomovimiento").html(data);
// TipoDocumento(Tipomovimiento_Id);
//         $("#Documento_Id").attr('disabled', false);
//         // CalcularImpTotIGV();
//     });
// }

/**
 * Inicializar datetimepciker por identificador
 * @param {*} identifier 
 */
function loadPickerInInput(identifier) {
    $(identifier).datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
}
/**
 * Guardar imformación del formulario
 */
function eventSaveAll() {
    $("#btn-generar").click(function (e) {
        e.preventDefault();
        if (!DATA.length > 0) {
            swal('Advertencia.', "No se ha importado ningún archivo", 'warning');
            return;
        }
        if (!$("#frm-generar-comprobante").valid()) {
            return;
        }
        $('#preloader').fadeIn('slow');

        var movimientosList = [];
        var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
        var TipoDestino = document.getElementById('nMovTipodestino').value;
        var Almacen_Id = document.getElementById('Almacen_Id').value;
        var Moneda_Id = document.getElementById('Moneda_Id').value;
        var nMovTipoCambio = document.getElementById('nMovTipoCambio').value
        var ProdServ_Id = document.querySelector('#ProdServ_Id');
        var ProdServ_Exonerado = ProdServ_Id.selectedOptions[0].dataset.exonerado;
        var ProdServ_UnidadMedida = ProdServ_Id.selectedOptions[0].dataset.unidadmedida;
        var Documento_afecto = Documento_Id.selectedOptions[0].dataset.afecto;
        document.querySelector('#ProdServ_Id').selectedOptions[0].dataset.exonerado;
        for (var item of DATA) {
            var movimientos = {
                id: 0,
                RUC_DNI: item.RUC_DNI,
                NOMBRE: item.NOMBRE,
                dMovFecha: document.getElementById('dMovFecha').value,
                Tipomovimiento_Id: Tipomovimiento_Id,
                nMovTipopago: document.getElementById('nMovTipopago').value,
                Almacen_Id: Almacen_Id,
                nMovTipoOrigenDestino: 2,
                nMovTipodestino: TipoDestino,
                Documento_Id: document.getElementById('Documento_Id').value,
                // sMovDocReferencia: document.getElementById('sMovDocReferencia').value,
                Moneda_Id: Moneda_Id,
                nMovTipoCambio: nMovTipoCambio,
                // dMovImporte: ProdServ_Exonerado == "0" && Documento_afecto == "1" ? item.TOTAL / 1.18 : item.TOTAL,
                dMovImporte: Documento_afecto=="1" ? ProdServ_Exonerado == "0" && Documento_afecto == "1" ? item.TOTAL / 1.18 : item.TOTAL :item.TOTAL ,
                dMovIGV:  Documento_afecto=="1" ? Documento_afecto == "0" ? 0 : Documento_afecto == "1" && ProdServ_Exonerado == "0" ? item.TOTAL - item.TOTAL / 1.18 : 0 : 0,
                // dMovIGV: Documento_afecto == "0" && ProdServ_Exonerado == "0" ? item.TOTAL - item.TOTAL / 1.18 : 0,
                dMovTotal: item.TOTAL,
                dMovSaldo: item.TOTAL,
                dMovDetraccion: 0,
                dMovPercepcion: 0,
                dMovRetencion: 0,
                sMovObservacion: item.OBSERVACION,
                nMovVendedor_Id: document.getElementById("nMovVendedor_Id").value,
                status: "",
                deail: [
                    {
                        TipoMovimiento_Id: Tipomovimiento_Id,
                        TipoDestino: TipoDestino,
                        ProdServ_Id: document.getElementById('ProdServ_Id').value,
                        Almacen_Id: Almacen_Id,
                        Lote: 0, // default lote 0
                        Cantidad: 1, // default quantity 1
                        Unidad_Id: ProdServ_UnidadMedida, // default UND
                        MonedaCompra_Id: Moneda_Id,
                        PrecioLista: Documento_afecto=="1" ? ProdServ_Exonerado == "0" && Documento_afecto == "1" ? (item.TOTAL / 1.18).toFixed(2): item.TOTAL :item.TOTAL,
                        
                        Descuento: 0, // not desceunto
                        Precio: Documento_afecto=="1" ? ProdServ_Exonerado == "0" && Documento_afecto == "1" ? (item.TOTAL / 1.18).toFixed(2): item.TOTAL :item.TOTAL,
                        SubTotal: Documento_afecto=="1" ? ProdServ_Exonerado == "0" && Documento_afecto == "1" ? (item.TOTAL / 1.18).toFixed(2): item.TOTAL :item.TOTAL,
                        
                        TipoCambio: nMovTipoCambio,
                        nMovDetIncluyeIgv: 0 // default 0
                    }
                ]
            };
            movimientosList.push(movimientos);
        }
        console.log(movimientosList);
        /**
         * Registro masivo de movimientos
         */
        $.post('?c=Movimiento&a=GuardarMovimientoAll', {
            movimientos: JSON.stringify(movimientosList)
        }, function (data) {
            /**
             * Mensaje de respuesta de guardado correctamente
             */
            swal('Exito', "La información fue procesada correctamente", 'success').then((res) => {
                /**
                 * Cargar vista para listar respuesta
                 */
                $('#preloader').fadeIn('slow');
                $.post('?c=Generarcomprobante&a=Response', {
                    movimientos: data
                }, function (response) {
                    $(".content-wrapper").html(response);
                    /**
                     * Desaparecer pre-loader
                     */
                    $('#preloader').fadeOut('slow');
                    $('body').css({
                        'overflow': 'visible'
                    });
                });
            });
            /**
             * Desaparecer pre-loader
             */
            $('#preloader').fadeOut('slow');
            $('body').css({
                'overflow': 'visible'
            });
        }).fail(function (xhr, textStatus, errorThrown) {
            var data = JSON.parse(xhr.responseText);
            switch (errorThrown) {
                case 'Conflict':
                    break
                case 'Precondition Failed':
                    swal('Error', data.message, 'error');
                    break;

                default:
                    break;
            }
            $('#preloader').fadeOut('slow');
            $('body').css({
                'overflow': 'visible'
            });
        });
    });
}
/**
 * Cargar datos en tabla
 * @param {*} data 
 */
function loadData(data) {
    $("#table-list-comprobantes").loadDataInTable(data, { auto_increment: true });
}
/**
 * Importación de archivo excel y obteniendo datos
 */
function importacion() {
    $("#file-excel").importExcel(function (data) {
        if (data.filter(x => !x.RUC_DNI || !x.NOMBRE).length !== 0) {
            swal('Advertencia.', "Los datos a cargar no son correctos verificar que no estén vació ningún campo por favor.", 'warning');
            $('#file-excel').val('');
            return;
        }
        DATA = data;
        loadData(data);
    });
}
/**
 * inicializar datepicker
 * @param {*} identifier 
 */
function initDatepicker(identifier) {
    $(identifier).datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
}
function validators() {
    $("#frm-generar-comprobante").validators({
        rules: {
            dMovFecha: {
                required: true
            },
            ProdServ_Id: {
                required: true
            },
            nMovVendedor_Id: {
                required: true
            },
        }
    });
}
/**
 * Ejecutar funciones
 */
(function () {
    'use strict';
    // validator init
    validators();
    // init datepicker
    initDatepicker('#dMovFecha');
    // ejecutar listado de tipo-movimiento
    TipoDocumento(2);
    // Cargar parametros 
    loadPameters();
    // importación de 
    importacion();
    // event save all
    eventSaveAll();
})();