var reportes_stock = (function (reportes_stock, undefined) {
    var URLactual = window.location.host;
    var table;
    _ObtenerFiltroDatos = function () {
        var table = reportes_stock.TableData('example1');
        var oVentaDetallada = [];
        var filteredrows = table._('tr', { "filter": "applied" });
        for (var i = 0; i < filteredrows.length; i++) {
            var data = {};
            data.Codigo = filteredrows[i][0];
            data.Familia = filteredrows[i][1];
            data.ProductoServicio = filteredrows[i][2];
            data.Stock = filteredrows[i][3];
            data.Unidad = filteredrows[i][4];
            data.PrecioProm = filteredrows[i][5];
            data.ValorizadoProm = filteredrows[i][6];
            oVentaDetallada.push(data);
        };
        return JSON.parse(JSON.stringify(oVentaDetallada));
    };
    _POST = function (URL, data) {
        $.ajax({
            data: data,
            url: URL,
            type: 'post',
            async: false,
            success: function (response) {
                json = response;
                window.open("http://" + URLactual + "/clubpacasmayo/" + json, "_blank");
            }
        });
    },

        reportes_stock.Excel = function () {
            $("#Exportar_Excel").click(function () {
                alert();
                $('#preloader').fadeIn('slow');
                var data = _ObtenerFiltroDatos();
                _POST('?c=Reportes&a=Stock_Excel', {
                    data: data
                });
                $('#preloader').fadeOut('slow');
                $('body').css({ 'overflow': 'visible' });
            });
        },
        reportes_stock.TableData = function (DivId) {
            if ($.fn.dataTable.isDataTable('#' + DivId)) {
                table = $("#" + DivId).dataTable();
            } else {
                table = $("#" + DivId).dataTable({
                    scrollX: true,
                    language: {
                        search: 'Buscar',
                        lengthMenu: 'Visualizar _MENU_ registro por p&aacute;gina',
                        zeroRecords: 'No hay informacion para mostrar.',
                        info: 'Pagina _PAGE_ de _PAGES_ de _MAX_',
                        infoEmpty: 'Pagina _PAGE_ - _PAGES_ de _MAX_ registros',
                        infoFiltered: '(filtrado de _MAX_ registros)',
                        paginate: {
                            previuos: 'Anterior',
                            next: 'Siguiente'
                        }
                    }
                 
                });
            }
            return table;
        };
    reportes_stock.clickexcel = () => {
        $("#click-export-excel").click((e) => {
            var tableData = [
                {
                    "sheetName": "Sheet1",
                    "data": []
                }
            ];
            var tablecolumns = table.api().columns().header(); //[1].innerHTML
            var columns = [];
            for (var i = 0; i < tablecolumns.length; i++) {
                columns.push({ 'text': tablecolumns[i].innerHTML })
            }
            tableData[0].data.push(columns);
            for (var r = 0; r < table.fnGetData().length; r++) {
                var newitem = [];
                for (var c = 0; c < tablecolumns.length; c++) {
                    var value = table.fnGetData(r, c);
                    console.log(value);
                    newitem.push({ 'text': value.replace(/<[^>]*>?/g, '') })
                }
                tableData[0].data.push(newitem);
            }
            var options = {
                fileName: 'REPORTE-' + new Date().getFullYear() + '' + (new Date().getMonth() + 1) + '' + new Date().getDay() + '' + new Date().getHours() + '' + new Date().getMinutes() + '' + new Date().getSeconds()
            };
            Jhxlsx.export(tableData, options);
        });
    };

    return reportes_stock;
})(reportes_stock || {});

$(document).ready(function () {
    reportes_stock.TableData("example1");
    // reportes_stock.Excel();
    reportes_stock.clickexcel();
});