function BuscarConductor() {
    $('#modal_buscar_conductor').modal('show');
}

function seleccionar_conductor(dni, nombres) {
    $('#dni_conductor').val(dni);
    $('#nombres_conductor').val(nombres);
    $('#modal_buscar_conductor').modal('hide');
}

function busquedainline() {
    if ($('#dni_conductor').val().length === 8) {
        $.post('?c=tiemposervicio&a=BuscarConductor', {
            termino: $('#dni_conductor').val()
        }, function (d) {
            try {
                var datos = JSON.parse(d);
                var conteo = datos.length;
                console.log(datos);
                $('#nombres_conductor').val('');
                if (conteo > 0) {
                    $('#nombres_conductor').val(datos[0].sTieConNombres);
                }
            } catch (e) {
                console.log(e);
            }
        });
    }else if($('#dni_conductor').val().length === 0){
        $('#nombres_conductor').val('');
    }
}

function busquedaconductor() {
    var termino = $('#sTieConDNI').val();
    $.post('?c=tiemposervicio&a=BuscarConductor', {
        termino: termino
    }, function (d) {
        console.log(d);
        try {
            var datos = JSON.parse(d);
            console.log(datos);
            var conteo = datos.length;
            var salida = '';
            if (conteo == 0) {
                salida += '<div style="cursor:pointer;border: 2px #ebccd1; solid; border-radius: 10px; padding: 5px; margin-bottom: 5px;"'
                        + 'class="text-center">'
                        + 'No se encontraron resultados con la b&uacute;squeda <b>' + termino + '</b>.'
                        + '</div>';
            } else {
                for (var i = 0; i < conteo; i++) {
                    salida += '<div style="cursor:pointer;border: 2px #3c8dbc solid; border-radius: 10px; padding: 5px; margin-bottom: 5px;"'
                            + 'class="text-center" '
                            + 'onclick="seleccionar_conductor(\'' + datos[i].sTieConDNI + '\',\'' + datos[i].sTieConNombres + '\')">'
                            + datos[i].sTieConNombres + '<br />(' + datos[i].sTieConDNI + ')'
                            + '</div>';
                }
            }

            $('#resultados_conductores').html(salida);
        } catch (e) {
            console.log(d);
        }

    });
}

function MostrarMovimiento(Movimiento_Id) {
    $("#PDFMmovimiento_Id").val(Movimiento_Id);
    $.post('?c=Movimiento&a=MostrarMovimiento', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function FrmEditarTiempoServicio(Movimiento_Id) {
    $.post('?c=tiemposervicio&a=FrmEditaTiempoServicio', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function CalcularTiempo() {
    //console.log($('#hora_inicio').val().split(' '), $('#hora_fin').val(), $('#diferencia').val());
    var pieces_start = $('#hora_inicio').val().split(' ');
    var pieces_end = $('#hora_fin').val().split(' ');
    $.post('?c=tiemposervicio&a=AuxDevolverDiferencia', {
        start_date: pieces_start[0],
        start_hour: pieces_start[1],
        end_date: pieces_end[0],
        end_hour: pieces_end[1]
    }, function (d) {
        $('#diferencia').val(d);
    });
}

function GuardarTiempoServicio() {

    var marcados_material = $('input[name="material"]:checked').length;
    var marcados_personal = $('input[name="personal"]:checked').length;

    var materiales = [], personal = [];

    for (var i = 0; i < marcados_material; i++) {
        materiales.push({Material: $('input[name="material"]:checked')[i].value});
    }

    for (var j = 0; j < marcados_personal; j++) {
        personal.push({Personal: $('input[name="personal"]:checked')[j].value});
    }

    var materiales_j = JSON.stringify(materiales);
    var personal_j = JSON.stringify(personal);
    var firmaflag = $('#nuevafirma').val();
    $.post('?c=tiemposervicio&a=GuardarTiempoServicio', {
        Tiemposervicio_Id: $('#Tiemposervicio_Id').val(),
        mid: $('#Movimiento_Id').val(),
        hi: $('#hora_inicio').val(),
        hf: $('#hora_fin').val(),
        di: $('#diferencia').val(),
        ts: $('input[name="tiposervicio"]:checked').val(),
        materiales: materiales_j,
        personal: personal_j,
        firma: firmaflag == 1 ? signaturePad.toDataURL() : $('#firmado_imagen').attr('aria-firma'),
        nuevafirma: firmaflag,
        nombrefirma: $('#nombrefirma').val(),
        dni_conductor: $('#dni_conductor').val(),
        nombre_conductor: $('#nombres_conductor').val()
    }, function (d) {
        console.log(d);
        window.location.href = '?c=TiempoServicio&a=Index';
    });
}