<!DOCTYPE html>
<html lang="es">
    <head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
        
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Gu&iacute;a de Remisi&oacute;n Electr&oacute;nica</title> 
        <style type="text/css">
            @media print{
                @page {
                    size: portrait;
                    margin-left: 15px;
                    margin-top: 15px;
                    top:5px;
                    left:5px;
                }
            }

            body{
                font-size: 18px;
                font-family: Helvetica;
                padding: 8px;
            }

            .container{
                size: auto;
                margin: 0.1mm 0.1mm 0.1mm 0.1mm;
                transform-origin: top center; 

            }

            .cabecera{
                width: 100%;
                display: flex;
                min-height: 150px;
            	margin-bottom:30px;
            }
            
            .cabecera .empresa-cliente-data{
            	/*background:red;*/
            	width:70%;
            }
            
            .cabecera .empresa-cliente-data .empresa-data{
            	width:100%;
            	font-size: 10px;
            	padding-bottom:15px;
            }
            
            .cabecera .empresa-cliente-data .empresa-data img{
            	max-width: 100%;
                width: 70%;
            }
            
            .cabecera .empresa-cliente-data .empresa-data p{
            	margin-left: 20px;
                margin-right: 20px;
            	font-size: 10px;
            }
            
            .cabecera .empresa-cliente-data .cliente-data{
            	/*background:purple;*/
            	width:100%;
            	display:flex;
            	flex-flow:row;
            	flex:100%;
            	font-size: 12px;
            }
            
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-info{
            	/*background:green;*/
            	flex:2 2 60%;
            }
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-detalle{
            	/*background:yellow;*/
            	flex:2 2 40%;
            }
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-info .item,
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-detalle .item{
            	display:flex;
            	flex-flow:row;
            	line-height: 20px;
            }
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-info .item .tag,
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-detalle .item .tag{
            	font-weight:bold;
            	flex:2 2 35%;
            	min-width:90px;
            }
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-info .item .tag{
            	flex:2 2 20%;
            }
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-detalle .item .tag{
            	margin-left:4%;
            }
            
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-info .item .detail{
            	flex:2 2 80%;
            }
            .cabecera .empresa-cliente-data .cliente-data .cliente-data-detalle .item .detail{
            	flex:2 2 61%;
            }
            
            .cabecera .empresa-ruc{
            	/*background:blue;*/
            	width:30%;
            	
            	
            }
            
            .cabecera .empresa-ruc .membrete{
            	text-align: center;
            	border: 4px solid #000;
            	border-radius:6px;
            	font-family: helvetica;
                font-weight: 600;
            	padding:10px 0;
            }
            
            .cabecera .empresa-ruc .membrete p.sombra{
            	background:#e1e1e1;
            	padding:10px 0;
            }
            
            .flex-50p{
            	flex:2 2 50%;
            }
            
            .traslado{
            	width:100%;
            	display:flex;
            	flex-flow:row;
            	flex:100%;
            	/*background:red;*/
            	flex-wrap:wrap;
            	margin-bottom:20px;
            }
            
            .traslado>div:first-child>div:first-child{
            	border-top-left-radius:4px;
            }
            .traslado>div:first-child>div:last-child{
            	border-top-right-radius:4px;
            }
            
            /*row*/
            .traslado>div{
            	/*background:orange;*/
            	flex: 2 2 98%;
            	display:flex;
            }
            
            /*col /
            .traslado>div:not(.row-full)>div{
            	/*border:3px solid #282828;* /
            	border-left:3px solid #282828;
            	border-right:3px solid #282828;
            	border-bottom:3px solid #282828;
            	border-top:3px solid #282828;
            }*/
            .traslado>div>div{
            	border-bottom:3px solid #282828;
            	border-top:3px solid #282828;
            }
            .traslado>div>div:first-child{
            	border-left:3px solid #282828;
            }
            .traslado>div>div:last-child{
            	border-right:3px solid #282828;
            }
            .traslado>div:not(.row-full)>div:first-child{
            	border-right:3px solid #282828;
            }
            
            .traslado .traslado-title{
            	background:#282828;
            	color:#fff;
            	font-weight:bold;
            	width:99%;
            	/*background:blue;*/
            	
            	padding:4px 0;
            	padding-left:1%;
            	text-transform:uppercase;
            }
            .traslado .row .col .item{
            	font-size:16px;
            	margin:8px 0;
            }
            .traslado .row .col .item .tag{
            	font-weight:bold;
            	padding-left:10px;
            }
            .traslado .row .col .item .detail{
            	padding-left:10px;
            	text-transform:uppercase;
            }
            
            .contenido{
            	width: 100%;
            }
            
            .contenido .cuerpo{
            	/*background:brown;*/
            	min-height: 300px;
            	
            }
            .contenido .cuerpo .detail-item{
            	display:flex;
            	flex-flow:row;
            	width:100%;
            }
            .contenido .cuerpo .detail-item>div{
            	padding: 0 0.3%;
            	text-align:center;
            }
            .contenido .cuerpo .detail-item.detail-item-header>div{
            	font-weight:bold;
            	border-top:3px solid #000;
            	border-bottom:3px solid #000;
            	padding: 0 -5px;
            	height:30px;
            	line-height:31px;
            	margin-bottom:3px;
            }
            .contenido .cuerpo .detail-item .detail-item-nro{
            	/*text-align:left;*/
            }
            .contenido .cuerpo .detail-item.detail-item-header .detail-item-nro{
            	border-left:3px solid #000;
            	padding-left:-3px;
            	border-top-left-radius:4px;
            	border-bottom-left-radius:4px;
            }
            .contenido .cuerpo .detail-item:not(.detail-item-header) .detail-item-cantidad{
            	/*text-align:right;*/
            }
            .contenido .cuerpo .detail-item.detail-item-header .detail-item-cantidad{
            	border-right:3px solid #000;
            	padding-right:-3px;
            	border-top-right-radius:4px;
            	border-bottom-right-radius:4px;
            }
            
            .contenido .cuerpo .detail-item .detail-item-nro{
            	/*background:yellow;*/
            	flex:2 2 6%;
            }
            
            .contenido .cuerpo .detail-item .detail-item-unimed{
            	/*background:blue;*/
            	flex:2 2 10%;
            }
            
            .contenido .cuerpo .detail-item .detail-item-cod{
            	/*background:orange;*/
            	flex:2 2 15%;
            }
            
            .contenido .cuerpo .detail-item .detail-item-descripcion{
            	/*background:green;*/
            	flex:2 2 52%;
            	text-align:left;
            }
            
            .contenido .cuerpo .detail-item .detail-item-cantidad{
            	/*background:red;*/
            	flex:2 2 12%;
            	text-align:right;
            	padding-right:10px;
            }
            
            .contenido .observaciones{
            	/*background:purple;opacity:.5;*/
            	width: 99%;
            	
            	padding:20px 0 10px 1%;
            }
            
            .contenido .observaciones label{
            	font-weight:bold;
            }
            .contenido .observaciones p{
            	margin-top:2px;
            }
            
            .pie{
            	border-top: 3px solid #000;
            	padding-top:5px;
            	width: 100%;
                display:flex;
            	flex-flow:row;
            }
            
            .pie .detail{
            	/*background:red;*/
            	flex: 2 2 67%;
            }
            .pie .detail .total-escrito{
            	/*background:yellow;*/
            	flex-flow:row;
            	display: flex;
            }
            .pie .detail .adicional{
            	/*background:lightblue;*/
            	display: flex;
            	flex-flow:row;
            }
            .pie .detail .adicional .opcionales{
            	/*background:blue;*/
            	flex:2 2 50%;
            	padding-top:20px;
            }
            .pie .detail .adicional .qr{
            	/*background:pink;*/
            	flex:2 2 50%;
            	text-align:center;
            }
            .pie .detail .adicional .qr p{
            	font-size:10px;
            }
            
            .pie .total{
            	/*background:green;*/
            	flex: 2 2 33%;
            }
            
        </style>
    </head>
    <body>
        <div class="container">
        	<div class="cabecera">
        		<div class="empresa-cliente-data">
        			<div class="empresa-data">
        				<img src="./view/librerias/dist/img/logos/<?=$_SESSION['usu_enterpriseId'];?>.png" height="120" width="120" />
        				<p><span style="font-size: 16px; line-height: normal">
                            <?php echo $_SESSION['usu_enterpriseName']; ?><br />
                            <?php echo $_SESSION['usu_enterpriseAddress']; ?><br />
                            <?php echo $_SESSION['usu_enterpriseUbigeoName']; ?>
                            </span>
                    	</p>
        			</div>
        		</div>
        		<div class="empresa-ruc">
        			<div class="membrete">
            			<p>R.U.C <?php echo $_SESSION['usu_enterpriseRuc']; ?></p>
                        <p class="sombra"><?php echo 'GU&Iacute;A DE REMISI&Oacute;N ELECTR&Oacute;NICA'; ?></p>
                        <p><?php echo $guia['sTraSerie'] . '-' . $guia['sTraNumero']; ?></p>
                    </div>
        		</div>
        	</div>
        	<div class="traslado">
        		<div class="row datos row-full">
        			<div class="col flex-50p">
            			<div class="traslado-title">Datos de Inicio de Traslado</div>
            			<div class="traslado-cuerpo">
                			<div class="item">
        						<div class="tag">Fecha de Emisi&oacute;n</div>
        						<div class="detail"><?=date('d-m-Y', strtotime($guia['dTraFecha']))?></div>
        					</div>
        					<div class="item">
        						<div class="tag">Fecha de Inicio del traslado</div>
        						<div class="detail"><?=date('d-m-Y', strtotime($guia['dTraFechaTraslado']))?></div>
        					</div>
        					<div class="item">
        						<div class="tag">Documento Relacionado</div>
        						<div class="detail"><?=$guia['sSerieNumeroRelacionado']?></div>
        					</div>
            			</div>
        			</div>
        			<div class="col flex-50p">
            			<div class="traslado-title">&nbsp;</div>
            			<div class="traslado-cuerpo">
                			<div class="item">
        						<div class="tag">Motivo de traslado</div>
        						<div class="detail"><?=$guia['sTraMotivoTraslado'].' '.$guia['sGuiOtroMotivo']?></div>
        					</div>
        					<div class="item">
        						<div class="tag">Modalidad de transporte</div>
        						<div class="detail"><?=$guia['sTraDescripcionModalidadTraslado']?></div>
        					</div>
        					<div class="item">
        						<div class="tag">Peso Bruto Total de la Guia (KGM)</div>
        						<div class="detail"><?=$guia['nTraPesoBrutoGuiaTraslado']?></div>
        					</div>
            			</div>
        			</div>
        		</div>
        		<div class="row puntos row-full">
        			<div class="col flex-50p">
            			<div class="traslado-title">Datos de Punto de Partida y Punto de Llegada</div>
            			<div class="traslado-cuerpo">
                			<div class="item">
        						<div class="tag">Direcci&oacute;n del punto de partida</div>
        						<div class="detail"><?=$guia['sTraDireccionPuntoPartidaTraslado']?></div>
        					</div>
            			</div>
        			</div>
        			<div class="col flex-50p">
            			<div class="traslado-title">&nbsp;</div>
            			<div class="traslado-cuerpo">
                			<div class="item">
        						<div class="tag">Direcci&oacute;n del punto de llegada</div>
        						<div class="detail"><?=$guia['sTraDireccionPuntoLlegadaTraslado']?></div>
        					</div>
            			</div>
        			</div>
        		</div>
        		<div class="row origen-destino">
        			<div class="col transportista flex-50p">
        				<div class="traslado-title">Datos del Transportista</div>
        				<div class="traslado-cuerpo">
        					<div class="item">
        						<div class="tag">Apellidos y Nombres, denominaci&oacute;n o raz&oacute;n</div>
        						<div class="detail"><?=$guia['sTraNombreTransportistaTraslado']?></div>
        					</div>
        					<div class="item">
        						<div class="tag">N&uacute;mero de RUC</div>
        						<div class="detail"><?=$guia['sTraRUCTransportistaTraslado'];?></div>
        					</div>
        				</div>
        			</div>
        			<div class="col destinatario flex-50p">
        				<div class="traslado-title">Datos del Destinatario</div>
        				<div class="traslado-cuerpo">
        					<div class="item">
        						<div class="tag">Apellidos y Nombres, denominaci&oacute;n o raz&oacute;n</div>
        						<div class="detail"><?=$guia['sCliente']?></div>
        					</div>
        					<div class="item">
        						<div class="tag">N&uacute;mero de RUC/Documento de identidad</div>
        						<div class="detail"><?=$guia['sCliNroIdentidad']?></div>
        					</div>
        				</div>
        			</div>
        		</div>
        		<div class="row empleado">
        			<div class="col conductor flex-50p">
        				<div class="traslado-title">Datos del Conductor</div>
        				<div class="traslado-cuerpo">
        					<div class="item">
        						<div class="tag">Documento de identidad</div>
        						<div class="detail"><?=$guia['sTraDNIConductorTraslado']?></div>
        					</div>
        				</div>
        			</div>
        			<div class="col vehiculo flex-50p">
        				<div class="traslado-title">Datos del Veh&iacute;culo</div>
        				<div class="traslado-cuerpo">
        					<div class="item">
        						<div class="tag">N&uacute;mero de placa</div>
        						<div class="detail"><?=$guia['sTraPlacaVehiculoTraslado']?></div>
        					</div>
        				</div>
        			</div>
        		</div>
        	</div>
        	<div class="contenido">
        		<div class="cuerpo">
        			<div class="detail-item detail-item-header">
        				<div class="detail-item-nro">Nro</div>
        				<div class="detail-item-cod">Cod. Bien</div>
        				<div class="detail-item-descripcion">Descripción</div>
        				<div class="detail-item-unimed">UM</div>
        				<div class="detail-item-cantidad">Cantidad</div>
        			</div>
        			<?php
        			     $i = 0;
        			     foreach ($detalle as $item){
        			         $i++;
        			?>
        			<div class="detail-item">
        				<div class="detail-item-nro"><?=$i?></div>
        				<div class="detail-item-cod"><?=$item['sProSrvCodigo']?></div>
        				<div class="detail-item-descripcion"><?=$item['sProNombre']?></div>
        				<div class="detail-item-unimed"><?=$item['sUndalias']?></div>
        				<div class="detail-item-cantidad"><?=$item['nTDeCantidad']?></div>
        			</div>
        			<?php }?>
        		</div>
        		<div class="observaciones">
        			<label>OBSERVACIONES</label>
        			<p><?=$guia['sGuiObservacion']?></p>
        		</div>
        	</div>
        	<div class="pie">
        		<div class="detail">
        			<div class="total-escrito"><!--<b>SON:</b>&nbsp;&nbsp;--></div>
        			<div class="adicional">
        				<div class="opcionales"></div>
        				<div class="qr">
        					<?php
                            $dataText = $toPrint;
                            $svgTagId   = 'id-of-svg';
                            $saveToFile = false;
                            $imageWidth = 130; // px        
                            // SVG file format support
                            $svgCode = QRcode::svg($dataText, $svgTagId, $saveToFile, QR_ECLEVEL_L, $imageWidth);         
                            echo $svgCode;
                            ?>
                            <p>
                            	Representaci&oacute;nn impresa de la Gu&iacute;a de Remisi&oacute;n Electr&oacute;nica
                            </p>
        				</div>
        			</div>
        		</div>
        		<div class="total"></div>
        	</div>
        </div>
        <script src="view/librerias/plugins/jQuery/jquery-1.11.0.min.js"></script>
        <script>
            $(document).ready(function () {
                 window.print(); 
            });
        </script>
    </body>
</html>