<?php
ob_start();
?>
<style type="text/css">
<!--
    table.page_header {width: 100%; border: none; border-bottom: solid 0.1mm #E6892F; padding: 3mm 4mm }
    table.page_footer {width: 100%; border: none; border-top: solid 0.1mm #E6892F; padding: 3mm 4mm}
    h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}
    h4 {
        margin: 0px;
    }

    div.niveau
    {
        padding-left: 5mm;
    }
    #example1{
        width: 100%;
    }
    #example1 tbody tr td,
    #example1 tbody tr th{
        font-size: 11px;
        text-align: center;
        border-bottom: 0.1mm solid #ccc;
        padding: 5px 0px;
    }
    hr{
        border: 0.2mm solid #A7A7A7;
        margin-bottom: 10px;
        margin-top: 5px;
    }
    h5{
        margin: 0px;
        text-align: left;
    }
-->
</style>

<page backtop="30mm" backbottom="20mm" backleft="20mm" backright="20mm" style="font-size: 12pt">
    <page_header>
        <table class="page_header">
            <tr>
                <td style="width: 50%; text-align: left">
                    <!-- <img src="view/librerias/dist/img/logo_groupmotors.jpg" width="150"> -->
                </td>
                <td style="width: 50%; text-align: right; color: #7b7b7b;">
                   MOVIMIENTO
                </td>
            </tr>
        </table>
    </page_header>
    <page_footer>
        <table class="page_footer">
            <tr>
                <td style="width: 50%; text-align: left; font-weight: normal; font-size: 11px;">
                    <?PHP echo date('d-m-Y H:i A');?>
                </td>
                <td style="width: 50%; text-align: right">
                    [[page_cu]]/[[page_nb]]
                </td>
            </tr>
        </table>
    </page_footer>    
    <bookmark title="Sommaire" level="0">
        <h4 style="font-weight: normal; text-align: center; width: 100%;">REGISTRO DE MOVIMIENTO</h4>
        <hr>
        <?php           
        $i = 0;  
        foreach ($movimiento as $r){
        ?>
        <table id="example1" cellpadding="0" cellspacing="0">  
            <tbody>
                <tr>
                    <th style="width: 30%; text-align: right;">Fecha: </th>
                    <td style="width: 70%;"><?php echo $r->__GET('dMovFecha'); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Tipo Movimiento: </td>
                    <td style="width: 70%;"><?php echo $r->__GET('sTMovNombre'); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Tipo Pago: </td>
                    <td style="width: 70%;"><?php echo $r->__GET('nMovTipopago') == 1 ? 'Contado':'Credito'; ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Tipo: </td>
                    <td style="width: 70%;"><?php echo $r->__GET('nMovTipoOrigenDestino') == 1 ? 'Proveedor':'Cliente'; ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Cliente/Proveedor:</td>
                    <td style="width: 70%;"><?php echo $this->NombreClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Destino:</td>
                    <td style="width: 70%;"><?php echo $r->__GET('nMovTipodestino') == 1 ? 'Almacen' : 'Consumo'; ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Almacen:</td>
                    <td style="width: 70%;"><?php echo $this->AlmNombre($r->__GET('Almacen_Id')); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Documento:</td>
                    <td style="width: 70%;"><?php echo $this->DocNombre($r->__GET('Documento_Id')); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Nro. Documento:</td>
                    <td style="width: 70%;"><?php echo $r->__GET('sDocNombreCorto'); ?> - <?php echo $r->__GET('sMovDocumento'); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Documento referencia:</td>
                    <td style="width: 70%;"><?php echo $r->__GET('sMovDocReferencia'); ?></td>
                </tr>
                <tr>
                    <td style="width: 30%; text-align: right;">Tipo de moneda:</td>
                    <td style="width: 70%;"><?php echo $r->__GET('Moneda_Id')== 1 ? 'Soles':'Dolares'; ?></td>
                </tr>        
                <tr>
                    <td colspan='2' style="width: 100%;text-align: center;">                    
                        <table id="example1" cellpadding="0" cellspacing="0">
                            <thead>
                                <tr>
                                    <th style="width: 50%;">Producto</th>
                                    <th style="width: 20%;">Cantidad</th>
                                    <th style="width: 10%;">Unidad</th>
                                    <th style="width: 10%;">Precio</th>
                                    <th style="width: 10%;">Sub Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php echo $detalle_movimiento; ?>                                                
                                <tr>
                                    <td style="text-align: right;" colspan="4">IMPORTE</td><td style="text-align: center;"><?php echo $r->__GET('nMovImporte'); ?></td>
                                </tr>
                                <tr>
                                    <td style="text-align: right;" colspan="4">IGV</td><td style="text-align: center;"><?php echo $r->__GET('nMovIGV'); ?></td>
                                </tr>
                                <tr>
                                    <td style="text-align: right;" colspan="4">TOTAL</td><td style="text-align: center;"><?php echo $r->__GET('nMovTotal'); ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
        <?php
        }
        ?>        
    </bookmark>
</page>
<?php
    
    $content = ob_get_clean();

    require_once('view/librerias/html2pdf/html2pdf.class.php');
    try
    {
        $html2pdf = new HTML2PDF('P', 'A4', 'fr', true, 'UTF-8', 0);
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
//        $html2pdf->createIndex('Sommaire', 25, 12, false, true, 1);
        $content = ob_get_clean();
        $html2pdf->Output('bookmark.pdf');
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }
