<form action="javascript:AgregarProductoLote();" method="POST" id="FrmSalidaVenta">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
        <h4 class="modal-title" id="modal-eliminar-label">SALIDA / VENTA</h4>
    </div>
    <div class="modal-body">
        <div id="resultado_saluda_venta"></div>
        <div class="row">
            <div class="col-md-12 form-group">
                <label>Productos</label>
                <input type="hidden" id="nProSrvExoneradoIGV" name="nProSrvExoneradoIGV" value="0">
                <select class="form-control selectPicker" id="ProdServ_Id" name="ProdServ_Id" onchange="ListarProductosLote();" data-live-search="true">
                    <option value="">Seleccionar producto</option>
                    <?php
                    foreach ($productos as $p) {
                        ?>
                        <option value="<?php echo $p->__GET('ProdServ_Id'); ?>" data-familia="<?php echo $p->__GET('sProSrvCodigo'); ?>" data-exoneradoigv="<?php echo $p->__GET('nProSrvExoneradoIGV'); ?>">
                            <?php echo $p->__GET('sProSrvCodigo') . ' - '; ?>
                            <?php echo $p->__GET('sProSrvNombre') . ' - '; ?>
                            <?php echo $p->__GET('sProSrvCodigo2') . ' - '; ?>
                            <?php echo $p->__GET('sProSrvCodigoOriginal') . ' - '; ?>
                            <?php echo $p->__GET('sProSrvMarca') . ' - '; ?>
                            <?php echo $p->__GET('sProSrvMarcaOriginal'); ?>
                        </option>
                    <?php

                }
                ?>
                </select>
            </div>
            <div class="col-md-12 form-group">
                <table class="table table-bordered text-center">
                    <thead>
                        <tr>
                            <th>Check</th>
                            <th>Almacén</th>
                            <th>Lote</th>
                            <th>Cantidad</th>
                            <th>Unidad</th>
                            <th>Precio de Costo</th>
                        </tr>
                    </thead>
                    <tbody id="lista_lotes">
                        <tr>
                            <td colspan="7">No hay datos</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-6">
                <input type="hidden" class="form-control" name="almacen" id="almacen">
                <div class="col-md-12 form-group" style="padding-left: 0px; padding-right: 0px;">
                    <label>UNIDAD</label>
                    <select class="form-control" name="Unidadmedida_Id" id="Unidadmedida_Id" onchange="calcularFactor();">
                        <option value="">Seleccione unidad.</option>
                    </select>
                </div>
                <div class="col-md-12 form-group" style="padding-left: 0px; padding-right: 0px;">
                    <label>CANTIDAD</label>
                    <input type="text" class="form-control" onkeyup="CalcularSubtotal()" name="sMovDetConCantidad" id="sMovDetConCantidad" placeholder="Cantidad">
                </div>
            </div>
            <div class="col-md-6">
                <div class="<?php echo $_SESSION['usu_enterpriseRuc'] == '20553754454' ? 'col-md-7' : 'col-md-12'; ?> form-group" style="padding-left: 0px; padding-right: 0px;">
                    <label>PRECIO UNITARIO</label>
                    <input type="text" class="form-control" onkeyup="CalcularSubtotal();<?php echo $_SESSION['usu_enterpriseRuc'] == '20553754454' ? 'preciounitario();' : ''; ?>" name="nMovDetConPrecioUnitario" id="nMovDetConPrecioUnitario" placeholder="Precio de venta">
                </div>
                <?php if ($_SESSION['usu_enterpriseRuc'] == '20553754454') { ?>
                    <div class="col-md-5 form-group" style="padding-left: 0px; padding-right: 0px;">
                        <label>DESCUENTO (%)</label>
                        <input type="text" class="form-control solo-decimales text-left" onkeyup="CalcularDescuento()" name="descuento-input" id="descuento-input" placeholder="Descuento" value="0">
                    </div>
                <?php } ?>
                <div class="col-md-12 form-group" style="padding-left: 0px;padding-right: 0px">
                    <label>SUB TOTAL</label>
                    <input type="text" class="form-control" name="nMovDetConSubtotal" id="nMovDetConSubtotal" placeholder="Sub total">
                </div>
            </div>
            <div class="col-md-12 text-center">
                <div class="row">
                    <div class="col-md-6">
                        <input type="checkbox" name="hasBonus" id="hasBonus" onchange="changePreice(this)">&nbsp;<b>Bonificación</b>
                    </div>
                    <div class="col-md-6">
                        <input type="checkbox" name="nIncluyeLoteIGV" id="nIncluyeLoteIGV">&nbsp;<b>Incluido IGV</b>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
        <button type="submit" class="btn btn-danger btn-flat">Si, Agregar</button>
    </div>
</form>
<script type="text/javascript">
    $("#Unidadmedida_Id").change(function(e) {
        GetPrice(this.value);
    });
    var precio_last = 0;

    function CalcularDescuento() {
        var descuento = parseFloat($("#descuento-input").val());
        $("#nMovDetConPrecioUnitario").val(descuento > 0 ? precio_last - ((descuento / 100) * precio_last) : precio_last);
        CalcularSubtotal();
    }

    function preciounitario() {
        var precio_unitario = $("#nMovDetConPrecioUnitario").val();
        precio_last = precio_unitario;
        $("#descuento-input").val(0)
    }

    function GetPrice(value) {
        var ProdServ_Id = $("#ProdServ_Id").val();
        var Moneda_Id = $("#Moneda_Id").val();
        var Unidadmedida_Id = $("#Unidadmedida_Id").val();
        $.post('?c=Precioventa&a=GetPrecioVenta', {
            ProdServ_Id: ProdServ_Id,
            Moneda_Id: Moneda_Id,
            Unidadmedida_Id: Unidadmedida_Id
        }, function(data) {
            precio_last = parseFloat(data);
            $("#nMovDetConPrecioUnitario").val(data);
        });
    }
    $("#ProdServ_Id").selectpicker("refresh");
    $(".solo-decimales").inputFormat({
        miles: ''
    });
    jQuery.validator.addMethod("decimales", function(value, element) {
        return this.optional(element) || /^([0-9]+\.+[0-9]|[0-9])+$/.test(value);
    });

    $("#FrmSalidaVenta").validate({
        errorClass: 'error',
        rules: {
            Unidadmedida_Id: {
                required: true
            },
            sMovDetConCantidad: {
                required: true,
                number: true
            },
            nMovDetConPrecioUnitario: {
                required: true,
                decimales: true
            },
            nMovDetConSubtotal: {
                required: true,
                decimales: true
            }
        },
        messages: {
            Unidadmedida_Id: {
                required: "Seleccione unidad."
            },
            sMovDetConCantidad: {
                required: "Ingrese cantidad por favor.",
                number: "Permitodo solo numeros."
            },
            nMovDetConPrecioUnitario: {
                required: "Ingrese precio unitario por favor.",
                decimales: "Solo esta permitido numeros enteros y decimales por favor."
            },
            nMovDetConSubtotal: {
                required: "Ingrese subtotal por favor.",
                decimales: "Permitido numero decimales"
            }
        }
    });
</script>