
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
    Guia de remisión
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión</a></li>
    </ol>
</section>        
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
               <div class="box-header">
                    <h3 class="box-title">Relación completa de Guia de remisión</h3>

                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">    
                            <form action="?c=Guiaremision&a=index" method="POST">
                                <div class="row">
                                   <div class="col-md-3">
                                        Fecha Inicio <br/>
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br/>
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>
                                    
                                </div>
                            </form>
                        </div>
                        <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                            <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                                <a class="btn btn-primary btn-flat w-80" href="?c=Guiaremision&a=formulario">Nueva Guia de remisión</a>
                            </div>
                        <?php } ?>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example2" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>Fecha Emisión</th>
                                <th>Fecha Inicio de traslado</th>
                                <th>Nro. Documento</th>
                                <th>Documento Relacionado</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Estado</th>
                                <th>Estado Sunat</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                            <?php foreach ($guiaremision as $item) : ?>
                            <tr>
                                <td><?php echo $item->__GET('dTraFecha'); ?></td>
                                <td><?php echo $item->__GET('dTraFechaTraslado'); ?></td>
                                <td><?php echo $item->__GET('sTraSerie') . '-' .$item->__GET('sTraNumero');  ?></td>
                                <td><?php echo $item->__GET('sSerieNumeroRelacionado'); ?></td>
                                <td><?php echo $item->__GET('sCliente'); ?></td>
                                <td><?php if($item->__GET('Moneda_Id')==1 ) { 
                                   echo 'Soles'; ?>
                                  
                                  <?php  }else{
                                      echo  'Dolares';
                                    }?> </td>

                                <td>
                                    <?php
                                      if  ($item->__GET('nGuiEstado')=='0') {
                                        echo '<span class="label label-danger">Anulado</span>';
                                    } elseif  ($item->__GET('nGuiEstado')=='1') {
                                        echo '<span class="label label-warning">Registrado</span>';
                                    } else if ($item->__GET('nGuiEstado')=='2') {
                                        echo '<span class="label label-success">Pagado</span>';
                                    }
                                    ?>
                                </td>

                                <td>
                                    <?php
                                    if ($item->__GET('nGuiEstadoSunat') == '-1') {
                                        echo '<span class="label label-warning">No enviado</span>';
                                    } else if ($item->__GET('nGuiEstadoSunat') == '0') {
                                        echo '<span class="label label-warning">No enviado</span>';
                                    } else if ($item->__GET('nGuiEstadoSunat') == '1') {
                                        echo '<span class="label label-success">Enviado</span>';
                                    } else if ($item->__GET('nGuiEstadoSunat') == '2') {
                                        echo '<span class="label label-info">Validado</span>';
                                    } else if ($item->__GET('nGuiEstadoSunat') == '3') {
                                        echo '<span class="label label-info">Validado</span>';
                                    } else if ($item->__GET('nGuiEstadoSunat') == '4') {
                                        echo '<span class="label label-danger">Rechazado</span>';
                                    } else if ($item->__GET('nGuiEstadoSunat') == '5') {
                                        echo '<span class="label label-danger">Baja</span>';
                                    }
                                    ?>
                                </td>

                                <td>
                                    <a href="?c=Guiaremision&a=comprobante&Guiaremision_Id=<?php echo $item->__GET('Guiaremision_Id'); ?>" target="_blank" class="btn btn-warning btn-xs">
                                        <i class="fa fa-print" aria-hidden="true"></i>
                                    </a>
                                  <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>

                                        <?php if ($item->__GET('nGuiEstadoSunat') != '3' && $item->__GET('nGuiEstadoSunat') != '1') { ?>
                                            <a href="#" class="btn btn-danger btn-xs" onclick="eliminarguiaremision(<?php echo $item->__GET('Guiaremision_Id') ?>); return false;">
                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                            </a>
                                    <?php }
                                    } ?>
                                </td>

                            


                                
                            </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                 <th>Fecha Emisión</th>
                                <th>Fecha Inicio de traslado</th>
                                <th>Nro. Documento</th>
                                <th>Documento Relacionado</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Estado</th>
                                <th>Estado Sunat</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript">

$('#fechaIni').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY'
});

$('#fechaFin').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY'
});
    function eliminarguiaremision(id) {
        $.post('?c=Guiaremision&a=eliminar', {
            guiaremision_id: id
        }, (data) => {
            swal(
                'Exitoso',
                'Los datos se registraron correctamente.',
                'success'
            ).then(() => {
                location.reload();
            });
        });
    }
    $(function () {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');
            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;
            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };
        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');
            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;
            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example2").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "Buscar",
                "lengthMenu": "Visualizar _MENU_ registro por página",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            }
        });
    });
</script>
