
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Kardex
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Kardex</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box box-primary">
                    	<div class="box-header">
                            <h3 class="box-title">Relación completa de Kardex</h3>
                            <div class="row">
                                <div class="col-md-12" style="margin-top: 15px;">    
                                    <form action="?c=Reportes&a=Kardex" method="POST">
                                        <div class="row">
                                        	<div class="col-md-3">
                                                Producto<br/>
                                                <select class="form-control selectpicker" id="ProdServ_Id" name="ProdServ_Id" data-live-search="true">
                                                    <option value="">Seleccionar Producto</option>
                                                    <?php
                                                    foreach ($productos as $pro):
                                                        ?>
                                                    <option value="<?php echo $pro->__GET('ProdServ_Id'); ?>" <?php echo isset($_POST['ProdServ_Id']) ? $_POST['ProdServ_Id'] == $pro->__GET('ProdServ_Id') ? 'selected':'' : ''?>><?php echo $pro->__GET('sProSrvNombre'); ?></option>
                                                        <?php
                                                    endforeach;
                                                    ?>
                                                </select>
                                            </div>
                                            <div class="col-md-2">
                                                Fecha Inicio <br/>
                                                <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                            </div>
                                            <div class="col-md-2">
                                                Fecha Fin <br/>
                                                <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                            </div>
                                            <div class="col-md-5">
                                                <br>
                                                <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                                <a class="btn btn-success btn-flat" href="#" id="click-export-excel">Exportar Excel</a>
                                            </div>                                            
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-hover display responsive no-wrap">
                                <thead>
                                    <tr>
                                        <th>Fecha Hora</th>
                                        <th>Tipo Movimiento</th>
                                        <th>Almacén</th>
                                        <th>Documento</th>
                                        <th>Fecha Documento</th>
                                        <th>Origen/Destino</th>
                                        <th>Estado</th>
                                        <th>Lote</th>
                                        <th>Cantidad</th>
                                        <th>Unidad</th>
                                        <th>Saldo Anterior Lote</th>
                                        <th>Saldo Posterior Lote</th>
                                        <th>Saldo Anterior</th>
                                        <th>Saldo Posterior</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($reportes as $r): ?>                    
                                        <tr> 
                                            <td><?php echo $r->__GET('valor01'); ?></td>
                                            <td><?php echo $r->__GET('valor02'); ?></td>
                                            <td><?php echo $r->__GET('valor03'); ?></td>
                                            <td><?php echo $r->__GET('valor04'); ?></td>
                                            <td><?php echo $r->__GET('valor05');?></td>
                                            <td><?php echo $r->__GET('valor06');?></td>
                                            <td><?php echo $r->__GET('valor07');?></td>
                                            <td><?php echo $r->__GET('valor08');?></td>
                                            <td><?php echo $r->__GET('valor09');?></td>
                                            <td><?php echo $r->__GET('valor10');?></td>
                                            <td><?php echo $r->__GET('valor11');?></td>
                                            <td><?php echo $r->__GET('valor12');?></td>
                                            <td><?php echo $r->__GET('valor13');?></td>
                                            <td><?php echo $r->__GET('valor14');?></td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Fecha Hora</th>
                                        <th>Tipo Movimiento</th>
                                        <th>Almacén</th>
                                        <th>Documento</th>
                                        <th>Fecha Documento</th>
                                        <th>Origen/Destino</th>
                                        <th>Estado</th>
                                        <th>Lote</th>
                                        <th>Cantidad</th>
                                        <th>Unidad</th>
                                        <th>Saldo Anterior Lote</th>
                                        <th>Saldo Posterior Lote</th>
                                        <th>Saldo Anterior</th>
                                        <th>Saldo Posterior</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesReporteExcel.js"></script>
        <script type="text/javascript">
        $(document).ready(function () {
        	reportes_excel.Nombre('Kardex');
        	reportes_excel.datepicker('fechainicio');
        	reportes_excel.datepicker('fechafin');
            reportes_excel.TableData("example1");
            reportes_excel.Excel();
        });
        </script>
